<?php
/**
 * The Banner Slider Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$banners = $this->parse_group($acacio_modern_banners);

if ( empty($banners) ) {
	return '';
}



if ( !$cs_swiper_banner_custom_options ) {
	$speed  = 1000;
	$effect = 'slide';
	$loop   = true;
}
$cs_hide_pagination = isset($cs_hide_pagination) && $cs_hide_pagination ? 'hide-pagination' : '';
$this->generate_css();
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-banner-slider');
$this->add_render_attribute('wrapper', 'class', 'aheto-banner-slider--acacio-modern');
$this->add_render_attribute( 'wrapper', 'class', $cs_hide_pagination );

/**
 * Set carousel params
 */
$carousel_default_params = [
	'speed' => 1000,
	'arrows' => true,
    'effect' => 'slide',
]; // will use when not chosen option 'Change slider params'

$carousel_params = Helper::get_carousel_params($atts, 'cs_swiper_banner_', $carousel_default_params);

/**
 * Highlight Text
 *
 * @param  string  $text Text to highlight.
 * @param  boolean $type TYpe.
 * @return string
 */
function highlight_text( $text, $type = false ) {
	$text = str_replace( ']]', '</span>', $text );
	$text = str_replace( '[[', $type ? '<span class="js-typed">' : '<span>', $text );

	return wp_kses_post( $text );
}

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/banner-slider/';
wp_enqueue_style('acacio-banner-slider-modern', $sc_dir . 'assets/css/cs_layout1.css', null, null);
wp_enqueue_script( 'acacio-banner-slider-modern-js', $sc_dir . 'assets/js/cs_layout1.js', array( 'jquery' ), null );

;?>
<div <?php $this->render_attribute_string('wrapper'); ?>>
	<div class="swiper">
		<div class="swiper-container swiper_aheto_diff_slider" <?php echo esc_attr($carousel_params); ?>>
			<div class="swiper-wrapper">
				<?php foreach ( $banners as $banner ) :
					$banner = wp_parse_args($banner, [
						'cs_image'         => '',
						'cs_title'         => '',
						'cs_desc'          => '',
						'align'         => '',
						'cs_btn_direction' => '',
                        'cs_heading_tag'=> '',
					]);
					extract($banner);

                    $swiper_lazy_class = $lazy ? 'swiper-lazy': '';
                    $background_image = Helper::get_background_attachment($cs_image, 'full', $atts, '', $swiper_lazy_class);

					if ( !isset($cs_image) && empty($cs_image) ) {
						continue;
					} ?>
					<div class="swiper-slide">
						<div class="aheto-banner-slider-wrap cs-full-min-height-js <?php echo esc_attr($align . $swiper_lazy_class); ?>" <?php echo esc_attr($background_image );?>>


							<div class="aheto-banner-slider__content">
								<?php
								if ( isset($cs_title) && !empty($cs_title) ) { ?>
									<<?php echo esc_attr($cs_heading_tag); ?> class="aheto-banner__title">
										<?php echo highlight_text($cs_title) ?>
									</<?php echo esc_attr($cs_heading_tag); ?>>
								<?php }

								if ( isset($cs_desc) && !empty($cs_desc) ) { ?>
									<h5 class="aheto-banner-slider__desc"><?php echo wp_kses_post($cs_desc); ?></h5>
								<?php }

								if ( $cs_main_add_button || $cs_add_add_button ) { ?>
									<div class="aheto-banner-slider__links">
										<?php
										echo Helper::get_button($this, $banner, 'cs_main_');
										echo wp_kses_post($cs_btn_direction ? '<br>' : '');
										echo Helper::get_button($this, $banner, 'cs_add_'); ?>
									</div>
								<?php } ?>

							</div>
						</div>
					</div>
				<?php endforeach; ?>
			</div>
			<?php $this->swiper_pagination('cs_swiper_banner_'); ?>
		</div>
		<?php $this->swiper_arrow('cs_swiper_banner_'); ?>
	</div>
</div>
