<?php
/**
 * The Coming soon Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);


$this->generate_css();
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-coming-soon');
$this->add_render_attribute('wrapper', 'class', 'aheto-coming-soon--acacio-default');
$this->add_render_attribute('wrapper', 'class', $light ? 'aheto-coming-soon--light' : '');
$this->add_render_attribute('wrapper', 'class', 'js-coming-soon');

$date  =  strtotime( esc_attr($time_out) );
$time_out_var = str_replace(' ', 'T', $date);
$this->add_render_attribute('wrapper', 'data-date', $time_out_var);
$sec   = $date - time();
$days  = floor(($date - time()) / 86400);
$h1    = floor(($date - time()) / 3600);
$m1    = floor(($date - time()) / 60);
$hour  = floor($sec/60/60 - $days*24);
$hours = floor($sec/60/60);
$secs  = floor($sec % 60);
$min   = floor($sec/60 - $hours*60);

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/coming-soon/';
wp_enqueue_style('acacio-coming-soon-default', $sc_dir . 'assets/css/cs_layout1.css', null, null);
?>

<div <?php $this->render_attribute_string('wrapper'); ?>>
    <div class="aheto-coming-soon__unit">
        <div class="aheto-coming-soon__number js-coming-soon-number days"><?php echo wp_kses_post($days); ?></div>
        <p class="aheto-coming-soon__caption js-coming-soon-caption"
           data-desktop="<?php echo esc_attr($days_desktop); ?>"
           data-mobile="<?php echo esc_attr($days_mobile); ?>"><?php echo esc_attr($days_desktop); ?></p>
    </div>
    <span class="aheto-coming-soon__dots">:</span>
    <div class="aheto-coming-soon__unit">
        <div class="aheto-coming-soon__number js-coming-soon-number hours"><?php echo wp_kses_post($hour);?></div>
        <p class="aheto-coming-soon__caption js-coming-soon-caption"
           data-desktop="<?php echo esc_attr($hours_desktop); ?>"
           data-mobile="<?php echo esc_attr($hours_mobile); ?>"><?php echo esc_attr($hours_desktop); ?></p>
    </div>
    <span class="aheto-coming-soon__dots">:</span>
    <div class="aheto-coming-soon__unit">
        <div class="aheto-coming-soon__number js-coming-soon-number minutes"><?php echo wp_kses_post($min);?></div>
        <p class="aheto-coming-soon__caption js-coming-soon-caption"
           data-desktop="<?php echo esc_attr($mins_desktop); ?>"
           data-mobile="<?php echo esc_attr($mins_mobile); ?>"><?php echo esc_attr($mins_desktop); ?></p>
    </div>
    <span class="aheto-coming-soon__dots">:</span>
    <div class="aheto-coming-soon__unit">
        <div class="aheto-coming-soon__number js-coming-soon-number seconds"><?php echo wp_kses_post($secs); ?></div>
        <p class="aheto-coming-soon__caption js-coming-soon-caption"
           data-desktop="<?php echo esc_attr($secs_desktop); ?>"
           data-mobile="<?php echo esc_attr($secs_mobile); ?>"><?php echo esc_attr($secs_desktop); ?></p>
    </div>
</div>