<?php
/**
 * The Contacts Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract( $atts );

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );

$networks = $this->parse_group( $networks );

?>

<div <?php $this->render_attribute_string( 'wrapper' ); ?>>

    <div class="aheto-contact aheto-contact--modern">

		<?php if ( $s_heading ) : ?>
            <p class="aheto-contact__type t-uppercase t-medium"><?php echo wp_kses_post( $s_heading ); ?></p>
		<?php endif; ?>

		<?php if ( $address ) : ?>
            <h3 class="aheto-contact__info t-light"><?php echo wp_kses_post( $address ); ?></h3>
		<?php endif; ?>

		<?php if ( $email ) : ?>
            <a class="aheto-contact__link aheto-contact__mail t-light"
               href="mailto:<?php echo esc_attr( $email ); ?>"><?php echo esc_html( $email ); ?></a>
		<?php endif; ?>

		<?php if ( $phone ) : ?>
            <a class="aheto-contact__link aheto-contact__tel t-light"
               href="tel:<?php echo esc_attr( $phone ); ?>"><?php echo esc_html( $phone ); ?></a>
		<?php endif; ?>

		<div class="aheto-contact__link-holder">
				<?php echo \Aheto\Helper::get_button( $this, $atts, 'cs_main_' ); ?>
			</div>

		<?php if ( empty( $networks ) ) {
			return;
		} ?>
        <div class="aht-socials margin-lg-20t">

			<?php echo Helper::get_social_networks( $networks, '<a class="aht-socials__link" href="%1$s"><i class="aht-socials__icon icon ion-social-%2$s"></i></a>' ); ?>

        </div>
    </div>


</div>
