<?php
/**
 * The Features Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', 'widget widget_aheto');
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

// Block Wrapper.
$this->add_render_attribute('block_wrapper', 'class', 'aheto-content--acacio-simple-image');


/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/features-single/';
wp_enqueue_style('acacio-features-simple-image', $sc_dir . 'assets/css/cs_layout2.css', null, null);

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div <?php $this->render_attribute_string('block_wrapper'); ?>>
        <div class="aheto-content-block__shape"></div>
		<div class="aheto-content-block__wrap <?php echo esc_html($cs_content_orientation) ?>">

            <?php if ( !empty($s_image) && isset($s_image) ) : ?>
                <?php echo \Aheto\Helper::get_attachment( $s_image, ['class' => 'aheto-content-block__image'], $cs_image_size, $atts, 'cs_' ); ?>
            <?php endif; ?>

            <div class="aheto-content-block__content">
                <?php if ( !empty($cs_title) && isset($cs_title) ) : ?>
                    <h5 class="aheto-content-block__title"><?php echo esc_html($cs_title); ?></h5>
                <?php endif; ?>

                <div class="aheto-content-block__info">
                    <?php if ( !empty($cs_description) && isset($cs_description) ) : ?>
                        <p class="aheto-content-block__info-text ">
                            <?php echo wp_kses_post($cs_description); ?>
                        </p>
                    <?php endif; ?>
                </div>
            </div>

		</div>
	</div>

</div>
