<?php
/**
 * The Features Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$this->generate_css();
$cs_active = isset($cs_active) && $cs_active ? 'active' : '';

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', 'widget widget_aheto');
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('block_wrapper', 'class', $cs_active);

// Block Wrapper.
$this->add_render_attribute('block_wrapper', 'class', 'aheto-features--acacio-simple-scaled-subtitle');


/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/features-single/';
wp_enqueue_style('acacio-features-single-subtitle', $sc_dir . 'assets/css/cs_layout5.css', null, null);

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div <?php $this->render_attribute_string('block_wrapper'); ?>>
        <div class="aheto-features-block__shape"></div>
		<div class="aheto-features-block__wrap">

            <?php if ( !empty($s_image) && isset($s_image) ) : ?>
                <?php echo \Aheto\Helper::get_attachment( $s_image, ['class' => 'aheto-features-block__image'], $cs_image_size, $atts, 'cs_' ); ?>
            <?php endif; ?>

            <div class="aheto-features-block__content">
                <?php if ( !empty($s_heading) && isset($s_heading) ) : ?>
                    <h2 class="aheto-content-block__title">
                        <?php echo esc_html($s_heading); ?><?php if (!empty($cs_end_symbol) && isset($cs_end_symbol)) { ?><span><?php echo esc_html($cs_end_symbol); ?></span>
                        <?php } ?>

                    </h2>
                <?php endif; ?>

                <?php if ( !empty($cs_subtitle) && isset($cs_subtitle) ) : ?>
                    <h5 class="aheto-features-block__subtitle"><?php echo esc_html($cs_subtitle); ?></h5>
                <?php endif; ?>

                <div class="aheto-features-block__info">
                    <?php if ( !empty($s_description) && isset($s_description) ) : ?>
                        <p class="aheto-content-block__info-text ">
                            <?php echo wp_kses_post($s_description); ?>
                        </p>
                    <?php endif; ?>
                </div>
                <?php if ($main_add_button || $additional_add_button) { ?>
                    <div class="aheto-features__links">
                        <?php if ( $main_add_button ) {
                            echo \Aheto\Helper::get_button( $this, $atts, 'cs_main_' );
                        } ?>
                    </div>
                <?php } ?>
            </div>

		</div>

	</div>

</div>
