<?php
/**
 * The Features Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$features = $this->parse_group($acacio_features_modern_vertical);

if ( empty($features) ) {
	return '';
}
$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', 'widget widget_aheto');
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

// Block Wrapper.
$this->add_render_attribute('block_wrapper', 'class', 'aheto-features--acacio-modern-vertical');


/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/features-single/';
wp_enqueue_style('acacio-features-modern-vertical', $sc_dir . 'assets/css/cs_layout6.css', null, null);
wp_enqueue_script( 'acacio-features-modern-vertical-js', $sc_dir . 'assets/js/cs_layout6.js', array( 'jquery' ), null );

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div <?php $this->render_attribute_string('block_wrapper'); ?>>
			<?php foreach ( $features as $key=>$feature ) :
					$feature = wp_parse_args($feature, [
						'cs_features_image'         => '',
						'cs_features_counter_bg'    => '',
						'cs_features_title'         => '',
						'cs_features_desc'          => '',
						'cs_features_title_image'   => '',
					]);
					extract($feature);

					if ( empty($cs_features_title) ) {
						continue;
					} ?>
					<div class="aheto-features-block__item">
						<?php if ( isset($cs_features_image) ) : ?>
							<div class="aheto-features-block__image">
								<?php echo \Aheto\Helper::get_attachment( $cs_features_image, ['class' => ''], $cs_image_size, $atts, 'cs_'  ); ?>
							</div>
						<?php endif; ?>

						<?php if ( !empty($cs_features_title) && isset($cs_features_title) ) : ?>
							<div class="aheto-features-block__title" data-bg="<?php echo esc_attr($cs_features_title_image['url']) ?>">
								<h5><?php echo esc_html($cs_features_title); ?></h5>
								<?php echo \Aheto\Helper::get_attachment($cs_features_title_image, ['class' => 'js-bg']); ?>

								<div
									class="aheto-features-block__counter"
								>
									<?php echo \Aheto\Helper::get_attachment($cs_features_counter_bg, ['class' => 'js-bg']); ?>
									<h3>
										<?php echo esc_html($key+1 . '.') ?>
									</h3>
								</div>

							</div>


						<?php endif; ?>

						<?php if ( !empty($cs_features_desc) && isset($cs_features_desc) ) : ?>
							<p class="aheto-features-block__info-text ">
								<?php echo wp_kses_post($cs_features_desc); ?>
							</p>
						<?php endif; ?>
					</div>

				<?php endforeach; ?>
	</div>

</div>
