<?php
/**
 * The Acacio Features Slider Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract( $atts );

$acacio_features_slider = $this->parse_group($acacio_features_slider);

if ( empty($acacio_features_slider) ) {
	return '';
}

if ( !$cs_custom_options ) {
    $speed  = 1000;
    $effect = 'slide';
    $loop   = true;
}

$this->generate_css();

$cs_hide_pagination = isset($cs_hide_pagination) && $cs_hide_pagination ? 'hide-pagination' : '';

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-features-slider--acacio-modern' );
$this->add_render_attribute( 'wrapper', 'class', $cs_hide_pagination );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );


/**
 * Set carousel params
 */
$carousel_default_params = [
    'arrows' => true,
    'speed' => 1000,
    'simulate_touch' => true,
    'loop' => true

]; // will use when not chosen option 'Change slider params'

$carousel_params = Helper::get_carousel_params($atts, 'cs_', $carousel_default_params);



/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/features-slider/';
wp_enqueue_style( 'features-slider-modern', $sc_dir . 'assets/css/cs_layout1.css', null, null );

?>

<div <?php $this->render_attribute_string( 'wrapper' ); ?>>
    <div class="aheto-features-slider-add-image">
        <?php echo \Aheto\Helper::get_attachment( $cs_add_image, ['class' => ''], $cs_image_size, $atts, 'cs_' ); ?>
    </div>
    <div class="swiper">
        <div class="swiper-container swiper_aheto_diff_slider" <?php echo esc_attr($carousel_params); ?>>

            <div class="swiper-wrapper">
                <?php foreach ( $acacio_features_slider as $acacio_feature ) :
                    $acacio_feature = wp_parse_args($acacio_feature, [
                        'cs_image'         => '',
                        'cs_add_image'  => '',
                        'title'         => '',
                        'desc'          => '',
                        'align'         => '',
                        'btn_direction' => '',
                        'main_add_button' => ''
                    ]);

                    extract($acacio_feature);

                    $wrap_bg = Helper::get_background_attachment($cs_bg_image, 'full');
                    $slide_bg = Helper::get_background_attachment($cs_image, 'full');

                    if ( !isset($cs_image) && empty($cs_image) ) {
                        continue;
                    } ?>
                    <div class="swiper-slide">
                        <div class="aheto-features-slider-wrap">

                            <div class="aheto-features-slider-image-wrap" <?php echo esc_attr($wrap_bg); ?>></div>

                            <div class="aheto-features-slider__img" <?php echo esc_attr($slide_bg); ?>></div>

                            <div class="aheto-features-slider__content">
                                <?php
                                if ( !empty($cs_title) && isset($cs_title) ) { ?>
                                    <h2 class="aheto-features-slider__title">
                                        <?php echo wp_kses_post($cs_title) ?>
                                    </h2>
                                <?php }

                                if ( !empty($cs_desc) && isset($cs_desc)) { ?>
                                    <p class="aheto-features-slider__info-text"><?php echo wp_kses_post($cs_desc); ?></p>
                                <?php } ?>


                                <?php if ( $main_add_button ) { ?>
                                    <div class="aheto-features-slider__links">
                                        <?php echo \Aheto\Helper::get_button($this, $acacio_feature, 'cs_button_'); ?>
                                    </div>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>

            </div>
            <?php $this->swiper_pagination('cs_'); ?>
        </div>
        <?php $this->swiper_arrow('cs_'); ?>
    </div>

</div>
