<?php
/**
 * The Heading Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */
extract( $atts );

$this->generate_css();

wp_enqueue_script('typed');


// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-heading' );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-heading--acacio__simple' );
$this->add_render_attribute( 'wrapper', 'class', $alignment );
$this->add_render_attribute( 'wrapper', 'class', 'align-mob-' . $cs_align_mobile );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );

$animation = isset( $title_animation ) && !empty( $title_animation );
$cs_use_dot = isset( $cs_use_dot ) && ! empty( $cs_use_dot ) ? 'acacio-dot' : '';

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/heading/';
wp_enqueue_style( 'acacio-heading-simple', $sc_dir . 'assets/css/cs_layout1.css', null, null );

?>

<div <?php $this->render_attribute_string( 'wrapper' ); ?>>

	<?php
	// Heading.
	$heading = $this->atts['heading'];

	if ( !empty($cs_title) ) {
		echo '<' . $cs_title_tag . ' class="aheto-heading__subtitle">' . esc_html( $cs_title ) . '</' . $cs_title_tag . '>';
	}

	if ( !empty($heading) ) {
		echo '<' . $text_tag . ' class="aheto-heading__title ' . esc_attr( $cs_use_dot ) . '">' . $this->highlight_text( $heading, $animation ) . '</' . $text_tag . '>';
	}

	?>

</div>
