<?php
/**
 * The Media Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$videos = $this->parse_group($cs_video_slider);

if ( empty($videos) ) {
	return '';
}

$cs_hide_pagination = isset($cs_hide_pagination) && $cs_hide_pagination ? 'hide-pagination' : '';
$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-media');
$this->add_render_attribute('wrapper', 'class', 'aheto-media--video');
$this->add_render_attribute( 'wrapper', 'class', $cs_hide_pagination );

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/media/';
wp_enqueue_style( 'acacio-media-video-style', $sc_dir . 'assets/css/cs_layout2.css', null, null );

/**
 * Set carousel params
 */
$carousel_default_params = [
    'speed'     => 1500,
]; // will use when not chosen option 'Change slider params'

$carousel_params = Aheto\Helper::get_carousel_params( $atts, 'cs_swiper_', $carousel_default_params );

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

<div class="swiper-container"  <?php echo esc_attr($carousel_params); ?> data-centeredSlides="1" >
    <div class="swiper-wrapper">

        <?php foreach ( $videos as $slide ) : ?>
            <?php $slide = wp_parse_args($slide, [
                'cs_video_image'         => '',
                'cs_add_video_button'         => '',
            ]);
            extract($slide);


            if ( !$cs_video_image ) {
                continue;
            } else {
                $cs_video_bg =  \Aheto\Helper::get_background_attachment( $cs_video_image, $cs_image_size, $atts, 'cs_' );
            } ?>
            <div class="swiper-slide" <?php echo esc_attr($cs_video_bg); ?>>
                    <?php
                    if ( $cs_add_video_button ) {
                        echo \Aheto\Helper::get_video_button( $slide, 'cs_' );
                    } ?>


            </div>
        <?php endforeach; ?>

    </div>
    <?php $this->swiper_pagination('cs_swiper_'); ?>
    </div>


</div>
