<?php
/**
 * The Acacio Media Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

if ( empty($cs_image) ) {
	return '';
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute( 'wrapper', 'class', $align );
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/media/';
wp_enqueue_style( 'acacio-media-simple-gallery-style', $sc_dir . 'assets/css/cs_layout3.css', null, null );
wp_enqueue_script( 'acacio-media-simple-gallery-scripts', $sc_dir . 'assets/js/cs_layout3.js', array( 'jquery' ), null );


?>
<div <?php $this->render_attribute_string('wrapper'); ?>>
    <?php if ( !empty($cs_image) && isset($cs_image) ) : ?>
        <?php $gallery_img =  \Aheto\Helper::get_background_attachment( $cs_image, $cs_image_size, $atts, 'cs_' ); ?>
    <?php endif; ?>

    <div class="aheto-single-gallery-img" <?php echo esc_attr($gallery_img) ?>></div>

    <div class="aheto-single-gallery-popup">
        <?php if ( !empty($cs_image) && isset($cs_image) ) : ?>
            <?php echo \Aheto\Helper::get_attachment( $cs_image, ['class' => ''], $cs_image_size, $atts, 'cs_' ); ?>
        <?php endif; ?>
        <span class='close'>&times;</span>
    </div>

</div>
