<?php
/**
 * Header Menu with centered logo.
 */
use Aheto\Helper;
extract( $atts );

if ( empty( $menus ) ) {
	return;
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );
$this->add_render_attribute( 'wrapper', 'class', 'main-header main-header--centered' );
$this->add_render_attribute( 'wrapper', 'class', 'main-header-js' );
$this->add_render_attribute( 'wrapper', 'class', $transparent );

$type_logo = isset($type_logo) && !empty($type_logo) ? $type_logo : 'image';


if ( $type_logo == 'image' && is_array( $scroll_logo ) && is_array( $scroll_mob_logo ) ) {

    $scroll_logo     = ! empty( $scroll_logo['id'] ) ? $scroll_logo : $logo;
    $scroll_mob_logo = ! empty( $scroll_mob_logo['id'] ) ? $scroll_mob_logo : $mob_logo;

} elseif ( $type_logo == 'image' && ! is_array( $scroll_logo ) && ! is_array( $scroll_mob_logo ) ) {

    $scroll_logo     = isset( $scroll_logo ) && ! empty( $scroll_logo ) ? $scroll_logo : $logo;
    $scroll_mob_logo = isset( $scroll_mob_logo ) && ! empty( $scroll_mob_logo ) ? $scroll_mob_logo : $mob_logo;

}

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/navigation/';
wp_enqueue_style('navigation-header-centered', $sc_dir . 'assets/css/cs_layout1.css', null, null);
wp_enqueue_script( 'navigation-header-centered-js', $sc_dir . 'assets/js/cs_layout1.js', array( 'jquery' ), null );

?>
<div <?php $this->render_attribute_string( 'wrapper' ); ?>>
	<div class="main-header__main-line <?php echo esc_attr($cs_align_right ? 'align-right' : ''); ?>" >
		<a href="<?php echo esc_url(home_url('/')); ?>" class="aheto-logo main-header__logo">
			<?php if ( ! empty( $logo ) && $type_logo == 'image' ) {
				echo Helper::get_attachment( $logo, [ 'class' => 'aheto-logo__image' ] );
			}

            if ( ! empty( $scroll_logo ) && $type_logo == 'image' ) {
                echo Helper::get_attachment( $scroll_logo, [ 'class' => 'aheto-logo__image aheto-logo__image-scroll' ] );
            }

			if(!empty($text_logo) && $type_logo == 'text' ){ ?>
                <span><?php echo esc_html($text_logo); ?></span>
			<?php }?>
		</a>
		<div class="main-header__menu-box ">
			<?php
			wp_nav_menu([
				'container'       => 'nav',
				'container_class' => 'menu-home-page-container',
				'menu_class'      => 'main-menu main-menu--inline',
				'menu'            => $menus,
			]);
			?>
		</div>
	</div>
</div>
