<?php
/**
 * The Testimonials Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$cs_testimonials = $this->parse_group($cs_testimonials);
if ( empty($cs_testimonials) ) {
	return '';
}
$cs_hide_pagination = isset($cs_hide_pagination) && $cs_hide_pagination ? 'hide-pagination' : '';
$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-tm-wrapper');
$this->add_render_attribute('wrapper', 'class', 'aheto-tm-wrapper--acacio-modern');
$this->add_render_attribute( 'wrapper', 'class', $cs_hide_pagination );

// Swiper.
if ( !$custom_options ) {
	$speed  = 500;
	$space  = 30;
	$slides = 1;
	$large  = 1;
	$medium = 1;
	$small  = 1;
}

/**
 * Set carousel params
 */
$carousel_default_params = [
	'speed'    => 1000,
	'spaces'   => 27,
	'slides'   => 2,
	'arrows'    => true,
	'overflow' => false,
	'slides_sm' => 1,
	'slides_lg' => 2,
	'slides_md' => 1
]; // will use when not chosen option 'Change slider params'

$carousel_params = Helper::get_carousel_params($atts, 'cs_swiper_', $carousel_default_params);


/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/testimonials/';
wp_enqueue_style('acacio-testimonials-modern', $sc_dir . 'assets/css/cs_layout1.css', null, null);


?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

	<?php if(!empty($cs_bg_text)){ ?>
		<div class="aheto-tm__bg-text"><?php echo esc_html($cs_bg_text); ?></div>
	<?php } ?>

	<div class="swiper">

		<div class="swiper-container" <?php echo esc_attr($carousel_params); ?> data-centeredSlides="1">

			<div class="swiper-wrapper">

				<?php foreach ( $cs_testimonials as $item ) : ?>

					<div class="swiper-slide">

						<div class="aheto-tm__slide-wrap">

							<div class="aheto-tm__content">
								<?php
								// Testimonial.
								if ( isset($item['g_testimonial']) ) {
									echo '<h4 class="aheto-tm__text">' . wp_kses_post($item['g_testimonial']) . '</h4>';
								} ?>
							</div>

							<div class="aheto-tm__author">

								<?php if ( isset($item['g_image']) ) : ?>
                                    <?php
                                        $cs_avatar =  \Aheto\Helper::get_background_attachment( $item['g_image'], $cs_image_size, $atts, 'cs_' );
                                    ?>
									<div class="aheto-tm__avatar" <?php echo esc_attr($cs_avatar); ?>></div>
								<?php endif; ?>

								<div class="aheto-tm__info">
									<?php
									// Name.
									if ( isset($item['g_name']) ) {
										echo '<h5 class="aheto-tm__name">' . wp_kses_post($item['g_name']) . '</h5>';
									}

									// Company.
									if ( isset($item['g_company']) ) {
										echo '<p class="aheto-tm__position">' . wp_kses_post($item['g_company']) . '</p>';
									}
									?>
								</div>

							</div>

						</div>

					</div>

				<?php endforeach; ?>

			</div>
            <?php $this->swiper_pagination('cs_swiper_'); ?>
		</div>

	</div>

</div>
