<?php
/**
 * The Testimonials Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-tm-wrapper');
$this->add_render_attribute('wrapper', 'class', 'aheto-tm-wrapper--acacio-classic');

/**
 * Set dependent style
 */
$sc_dir = ACACIO_T_URI . '/aheto/testimonials/';
wp_enqueue_style('acacio-testimonials-classic', $sc_dir . 'assets/css/cs_layout2.css', null, null);


?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

    <div class="aheto-tm__slide-wrap">

        <div class="aheto-tm__content">
            <?php
            // Testimonial.
            if ( isset($cs_testimonials_text) ) {
                echo '<h4 class="aheto-tm__text">' . wp_kses_post($cs_testimonials_text) . '</h4>';
            } ?>
        </div>

        <div class="aheto-tm__author">

            <?php if ( isset($cs_testimonials_image) ) : ?>
                <?php
                    $cs_avatar =  \Aheto\Helper::get_background_attachment( $cs_testimonials_image, $cs_image_size, $atts, 'cs_' );
                ?>
                <div class="aheto-tm__avatar" <?php echo esc_attr($cs_avatar); ?>></div>
            <?php endif; ?>

            <div class="aheto-tm__info">
                <?php
                // Name.
                if ( isset($cs_testimonials_name) ) {
                    echo '<h5 class="aheto-tm__name">' . wp_kses_post($cs_testimonials_name) . '</h5>';
                }

                // Company.
                if ( isset($cs_testimonials_company) ) {
                    echo '<p class="aheto-tm__position">' . wp_kses_post($cs_testimonials_company) . '</p>';
                }
                ?>
            </div>

        </div>

    </div>

</div>
