<?php

use Aheto\Params;

add_action( 'aheto_before_aheto_heading_register', 'acacio_heading_shortcode' );
add_action( 'aheto_before_aheto_contact-forms_register', 'acacio_contact_forms_shortcode' );
add_action( 'aheto_before_aheto_navigation_register', 'acacio_navigation_shortcode' );
add_action( 'aheto_before_aheto_contacts_register', 'acacio_contacts_shortcode' );
add_action( 'aheto_before_aheto_features-single_register', 'acacio_features_single_shortcode' );
add_action( 'aheto_before_aheto_banner-slider_register', 'acacio_banner_slider_shortcode' );
add_action( 'aheto_before_aheto_features-slider_register', 'acacio_features_slider_shortcode' );
add_action( 'aheto_before_aheto_team-member_register', 'acacio_team_member_shortcode' );
add_action( 'aheto_before_aheto_pricing-tables_register', 'acacio_pricing_tables_shortcode' );
add_action( 'aheto_before_aheto_custom-post-types_register', 'acacio_custom_post_types_shortcode' );
add_action( 'aheto_before_aheto_media_register', 'acacio_media_shortcode' );
add_action( 'aheto_before_aheto_testimonials_register', 'acacio_testimonials_shortcode' );
add_action( 'aheto_before_aheto_navbar_register', 'acacio_navbar_shortcode' );
add_action( 'aheto_before_aheto_progress-bar_register', 'acacio_progress_bar_shortcode' );
add_action( 'aheto_before_aheto_features-tabs_register', 'acacio_features_tabs_shortcode' );
add_action( 'aheto_before_aheto_features-timeline_register', 'acacio_features_timeline_shortcode' );
add_action( 'aheto_before_aheto_contents_register', 'acacio_contents_shortcode' );
add_action( 'aheto_before_aheto_title-bar_register', 'acacio_title_bar_shortcode' );
add_action( 'aheto_before_aheto_instagram_register', 'acacio_instagram_shortcode' );
add_action( 'aheto_before_aheto_social-networks_register', 'acacio_social_networks_shortcode' );
add_action( 'aheto_before_aheto_list_register', 'acacio_list_shortcode' );
add_action( 'aheto_before_aheto_coming-soon_register', 'acacio_coming_soon_shortcode' );
add_action( 'aheto_before_aheto_portfolio-nav_register', 'acacio_portfolio_nav_shortcode' );


/**
 * Aheto dependency
 */

function acacio_add_dependency( $id, $args = array(), $shortcode='' ) {
if ( is_array( $id ) ) {

		foreach ( $id as $slug ) {
			$param = is_array(isset($shortcode->depedency[$slug]['template'])? $shortcode->depedency[$slug]['template']:'');
			$shortcode->depedency[$slug]['template'] = array_merge($args, array($param) );
		}

	} else {
		$param = is_array(isset($shortcode->depedency[$id]['template'])?$shortcode->depedency[$id]['template'] :'');
		$shortcode->depedency[$id]['template'] = array_merge($args, array($param) );
	}
	return;
}


/**
 * Heading Shortcode
 */
function acacio_heading_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/heading/previews/';

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Simple with font', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );

	// Acacio simple with highlighted text and another font
	$shortcode->add_dependecy( 'cs_description', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_use_description_typo', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_description_typo', 'cs_use_description_typo', 'true' );

	$shortcode->add_dependecy( 'cs_use_add_image', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_image', 'cs_use_add_image', 'true' );

	$shortcode->add_dependecy( 'cs_highlighted_text', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_align_mobile', 'template', ['cs_layout1', 'cs_layout2'] );
    $shortcode->add_dependecy( 'cs_image', 'template', ['cs_layout1', 'cs_layout2'] );

    acacio_add_dependency( 'heading', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'text_typo', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'title_animation', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'alignment', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'text_tag', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'use_typo', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'text_typo_hightlight', ['cs_layout2' ], $shortcode );
    acacio_add_dependency( 'use_typo_hightlight', ['cs_layout2' ], $shortcode );

	$shortcode->add_params( [
		'cs_description'   => [
			'type'        => 'textarea',
			'heading'     => esc_html__( 'Description', 'acacio' ),
			'description' => esc_html__( 'Add some text for description', 'acacio' ),
			'admin_label' => true,
			'default'     => esc_html__( 'Add some text for description', 'acacio' ),
		],
		'cs_use_description_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for description?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_description_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__desc',
		],
		'cs_highlighted_text' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Disable secondary text highlighting?', 'acacio' ),
			'grid'    => 12,
		],
        'cs_align_mobile' => [
            'type'    => 'select',
            'heading' => esc_html__( 'Align for mobile', 'acacio' ),
            'options' => [
                'default' => 'Default',
                'left'    => 'Left',
                'center'  => 'Center',
                'right'   => 'Right',
            ],
            'default' => 'default',
        ],
        'cs_use_add_image' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use illustration?', 'acacio' ),
            'grid'    => 3,
        ],
        'cs_image'         => [
            'type'    => 'attach_image',
            'heading' => esc_html__( 'Add illustration', 'acacio' ),
        ],

	] );

    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for illustration ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout2'] ]
    ]);

}

function acacio_heading_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_subtitle_typo'] ) && ! empty( $shortcode->atts['cs_subtitle_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-heading__subtitle'], $shortcode->parse_typography( $shortcode->atts['cs_subtitle_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_description_typo'] ) && ! empty( $shortcode->atts['cs_description_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-heading__desc'], $shortcode->parse_typography( $shortcode->atts['cs_description_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_dynamic_css_heading', 'acacio_heading_shortcode_dynamic_css', 10, 2 );


/**
 * Acacio features slider shortcode
 */
function acacio_features_slider_shortcode ($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/features-slider/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Features Slider', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	// Acacio features slider

	acacio_add_dependency( 'use_heading', ['cs_layout1' ], $shortcode );
	acacio_add_dependency( 't_heading', ['cs_layout1' ], $shortcode );
	acacio_add_dependency( 'use_description', ['cs_layout1' ], $shortcode );
	acacio_add_dependency( 't_description', ['cs_layout1' ], $shortcode );

	$shortcode->add_dependecy( 'acacio_features_slider', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_background_color', 'cs_background_type', 'color' );
	$shortcode->add_dependecy( 'cs_bg_image', 'cs_background_type', 'image' );
    $shortcode->add_dependecy( 'cs_hide_pagination', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_add_image', 'template', 'cs_layout1' );

	$shortcode->add_params( [
		'acacio_features_slider' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Acacio Features', 'acacio' ),
			'params'  => [
				'cs_background_type' => [
					'type'    => 'select',
					'heading' => esc_html__( 'Slider background type', 'acacio' ),
					'options' => [
						'color' => esc_html__( 'Color', 'acacio' ),
						'image' => esc_html__( 'Image', 'acacio' ),
					],
					'default' => 'color',
				],
				'cs_background_color' => [
					'type'      => 'colorpicker',
					'heading'   => esc_html__( 'Shape background color', 'acacio' ),
					'grid'      => 6,
					'selectors' => [ '{{WRAPPER}} .aheto-features-slider-image-wrap' => 'background: {{VALUE}}' ],
				],
				'cs_bg_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Background Image', 'acacio' ),
				],
				'cs_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Image', 'acacio' ),
				],


				'cs_title'         => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Title', 'acacio' ),
					'description' => esc_html__( 'To Hightlight text insert text between: [[ Your Text Here ]]', 'acacio' ),
					'admin_label' => true,
					'default'     => esc_html__( 'Heading with [[ hightlight ]] text. For set some words for repeat animation separate them by coma : [[London,New York,Paris]]', 'acacio' ),
				],
				'cs_desc'          => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Description', 'acacio' ),
				],
			]
		],
        'cs_hide_pagination'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Hide swiper pagination on desktop?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_add_image'         => [
            'type'    => 'attach_image',
            'heading' => esc_html__( 'Additional Image', 'acacio' ),
        ],
	] );



	\Aheto\Params::add_carousel_params($shortcode, [
		'custom_options' => true,
		'include'        => ['arrows', 'pagination', 'delay', 'speed', 'loop', 'lazy', 'simulate_touch'],
		'prefix' => 'cs_',
		'depedency' => ['template', ['cs_layout1']]

	]);

    \Aheto\Params::add_button_params($shortcode, [
        'prefix' => 'cs_button_',
        'depedency' => ['template', ['cs_layout1']]
    ], 'acacio_features_slider');

    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for team photos ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout1'] ]
    ]);

}


/**
 * Acacio Team member shortcode
 */
function acacio_team_member_shortcode( $shortcode) {
	$dir = ACACIO_T_URI . '/aheto/team-member/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Team Member', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );


	acacio_add_dependency( 'image', ['cs_layout1' ], $shortcode );
	acacio_add_dependency( 'name', ['cs_layout1' ], $shortcode );
	acacio_add_dependency( 'designation', ['cs_layout1' ], $shortcode );

	$shortcode->add_dependecy( 'cs_use_title_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_title_typo', 'cs_use_title_typo', 'true' );
	$shortcode->add_dependecy( 'cs_use_position_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_position_typo', 'cs_use_position_typo', 'true' );

	$shortcode->add_params( [
		'cs_use_title_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for name?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_title_typo' => [
			'type'     => 'typography',
			'group'    => 'Name Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-team-member__name',
		],
		'cs_use_position_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for position?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_position_typo' => [
			'type'     => 'typography',
			'group'    => 'Position Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-team-member__position',
		],

	] );

    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for team photos ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout1'] ]
    ]);

}

function acacio_team_member_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_title_typo'] ) && ! empty( $shortcode->atts['cs_title_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-team-member__name'], $shortcode->parse_typography( $shortcode->atts['cs_title_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_position_typo'] ) && ! empty( $shortcode->atts['cs_position_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-team-member__position'], $shortcode->parse_typography( $shortcode->atts['cs_position_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_dynamic_css_team-member', 'acacio_team_member_shortcode_dynamic_css', 10, 2 );



/**
 * Acacio pricing tables
 */

function acacio_pricing_tables_shortcode ($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/pricing-tables/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Pricing Tables', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Classic', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );


	acacio_add_dependency('price', ['cs_layout1', 'cs_layout2'], $shortcode);
	acacio_add_dependency('features', ['cs_layout1', 'cs_layout2'], $shortcode);
	acacio_add_dependency('description', ['cs_layout1', 'cs_layout2'], $shortcode);

	acacio_add_dependency( 'heading', ['cs_layout1' ], $shortcode );
	acacio_add_dependency( 'use_typo', ['cs_layout1' ], $shortcode );

    //	Acacio Pricing Tables

	$shortcode->add_dependecy( 'cs_use_title_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_title_typo', 'cs_use_title_typo', 'true' );

	$shortcode->add_dependecy( 'cs_use_price_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_price_typo', 'cs_use_price_typo', 'true' );

	$shortcode->add_dependecy( 'cs_use_features_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_features_typo', 'cs_use_features_typo', 'true' );

	$shortcode->add_dependecy( 'cs_use_time_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_time_typo', 'cs_use_time_typo', 'true' );

    $shortcode->add_dependecy( 'cs_active', 'template', 'cs_layout1' );

    // Acacio Classic

    $shortcode->add_dependecy( 'cs_heading', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_background', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_border', 'template', 'cs_layout2' );

    $shortcode->add_dependecy( 'cs_use_title_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_title_typo', 'cs_use_title_typo', 'true' );

    $shortcode->add_dependecy( 'cs_use_time_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_time_typo', 'cs_use_time_typo', 'true' );

    $shortcode->add_dependecy( 'cs_use_price_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_price_typo', 'cs_use_price_typo', 'true' );

    $shortcode->add_dependecy( 'cs_use_features_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_features_typo', 'cs_use_features_typo', 'true' );

	$shortcode->add_params( [
		'cs_use_title_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for title?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_title_typo' => [
			'type'     => 'typography',
			'group'    => 'Title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__title',
		],
		'cs_use_price_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for price?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_price_typo' => [
			'type'     => 'typography',
			'group'    => 'Price Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__cost-value',
		],
		'cs_use_features_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for features?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_features_typo' => [
			'type'     => 'typography',
			'group'    => 'Features Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__description li, {{WRAPPER}} .aheto-pricing__list-item',
		],
		'cs_use_time_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for cost time?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_time_typo' => [
			'type'     => 'typography',
			'group'    => 'Cost Time Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-pricing__cost-time',
		],

		'cs_heading'    => [
			'type'        => 'text',
			'heading'     => esc_html__( 'Heading', 'acacio' ),
			'description' => esc_html__( 'To Hightlight text insert text between: [[ Your Text Here ]]', 'acacio' ),
			'default'     => esc_html__( 'Heading with [[ hightlight ]] text.', 'acacio' ),
			'admin_label' => true,
		],
		'cs_active'     => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Mark as active?', 'acacio' ),
			'grid'    => 12,
		],
		'cs_background' => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Background color', 'acacio' ),
			'grid'      => 6,
			'default'   => '#fff',
			'selectors' => [
				'{{WRAPPER}} .aheto-pricing--acacio-classic' => 'background: {{VALUE}}',
			],
		],
		'cs_border'     => [
			'type'      => 'colorpicker',
			'heading'   => esc_html__( 'Border color', 'acacio' ),
			'grid'      => 6,
			'default'   => '#223645',
			'selectors' => [
				'{{WRAPPER}} .aheto-pricing--acacio-classic' => 'border-top-color: {{VALUE}}',
			],
		],

	] );

	\Aheto\Params::add_button_params( $shortcode, [
		'prefix'     => 'cs_',
		'dependency' => [ 'template', ['cs_layout1','cs_layout2' ] ]
	] );

}

function acacio_pricing_tables_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_title_typo'] ) && ! empty( $shortcode->atts['cs_title_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-pricing__title'], $shortcode->parse_typography( $shortcode->atts['cs_title_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_price_typo'] ) && ! empty( $shortcode->atts['cs_price_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-pricing__cost-value'], $shortcode->parse_typography( $shortcode->atts['cs_price_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_features_typo'] ) && ! empty( $shortcode->atts['cs_features_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-pricing__description li'], $shortcode->parse_typography( $shortcode->atts['cs_features_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_time_typo'] ) && ! empty( $shortcode->atts['cs_time_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-pricing__cost-time'], $shortcode->parse_typography( $shortcode->atts['cs_time_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_dynamic_css_pricing-tables', 'acacio_pricing_tables_shortcode_dynamic_css', 10, 2 );


/**
 * Custom post type Shortcode
 */

function acacio_custom_post_types_shortcode( $shortcode ) {

	$theme_dir = ACACIO_T_URI . '/aheto/custom-post-types/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Slider', 'acacio' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );
    $shortcode->add_layout( 'cs_layout2', [
        'title' => esc_html__( 'Acacio Metro', 'acacio' ),
        'image' => $theme_dir . 'cs_layout2.jpg',
    ] );

	$aheto_skins = $shortcode->params['skin']['options'];
	$acacio_skins = array(
		'cs_skin-1' => 'Acacio Skin 1',
		'cs_skin-2' => 'Acacio Skin 2',
        'cs_skin-3' => 'Acacio Skin 3',
        'cs_skin-4' => 'Acacio Skin 4',
        'cs_skin-5' => 'Acacio Skin 5',
        'cs_skin-6' => 'Acacio Skin 6',
        'cs_skin-7' => 'Acacio Skin 7',
        'cs_skin-8' => 'Acacio Skin 8',
	);

	$all_skins = array_merge($aheto_skins, $acacio_skins);

	$shortcode->params['skin']['options'] = $all_skins;

    $shortcode->add_dependecy( 'cs_hide_pagination', 'template', 'cs_layout1' );

    $shortcode->add_dependecy( 'cs_use_shadow', 'skin', ['cs_skin-7', 'cs_skin-8'] );
    $shortcode->add_dependecy( 'cs_highlight_word', 'skin', ['cs_skin-7', 'cs_skin-8'] );
    $shortcode->add_dependecy( 'cs_highlight_word_typo', 'cs_highlight_word', 'true' );

    $shortcode->add_dependecy( 'cs_excerpt_typo', 'skin', ['cs_skin-1', 'cs_skin-7', 'cs_skin-8'] );
    $shortcode->add_dependecy( 'cs_use_excerpt_typo', 'skin', ['cs_skin-1', 'cs_skin-7', 'cs_skin-8'] );
    $shortcode->add_dependecy( 'cs_excerpt_typo', 'cs_use_excerpt_typo', 'true' );


	acacio_add_dependency('skin', ['cs_layout1', 'cs_layout2' ], $shortcode);
	acacio_add_dependency(['use_heading', 't_heading'], ['cs_layout1', 'cs_layout2' ], $shortcode);
	acacio_add_dependency(['use_term', 't_term'], ['cs_layout1', 'cs_layout2' ], $shortcode);
	acacio_add_dependency('image_height', ['cs_layout1', 'cs_layout2'], $shortcode);

    $shortcode->add_params([
        'cs_hide_pagination'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Hide swiper pagination on desktop?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_highlight_word'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Highlight last word in title?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_use_shadow'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Add box shadow?', 'acacio'),
            'grid'      => 5,
        ],

        'cs_highlight_word_typo' => [
            'type'     => 'typography',
            'group'    => 'Highlight Word Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-cpt-article__title a > span',
        ],
        'cs_use_excerpt_typo'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Use excerpt typography?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_exceprt_typo' => [
            'type'     => 'typography',
            'group'    => 'Excerpt Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-cpt-article__excerpt p',
        ],

    ]);

	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => [ 'arrows', 'pagination', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );

}

/**
 * Contact forms Shortcode
 */

function acacio_contact_forms_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/contact-forms/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Classic', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );


	acacio_add_dependency(['title', 'use_title_typo', 'title_typo', 'full_width_button', 'count_input', 'button_align', 'border_radius_button', 'border_radius_input', 'bg_color_fields' ], ['cs_layout1', 'cs_layout1' ], $shortcode);

    $shortcode->add_dependecy( 'cs_max_width', 'template', 'cs_layout1' );

    $shortcode->add_params([
        'cs_max_width'    => [
 			'type'      => 'slider',
 			'heading'   => esc_html__('Form Max width', 'acacio'),
 			'grid'      => 4,
 			'size_units' => [ 'px', '%', 'vh' ],
 			'range'     => [
 				'px' => [
 					'min'  => 200,
 					'max'  => 2000,
 					'step' => 5,
 				],
 				'%' => [
 					'min'  => 0,
 					'max'  => 100,
 				],
 				'vh' => [
 					'min'  => 0,
 					'max'  => 100,
 				],
 			],
 			'selectors' => [
 				'{{WRAPPER}} .widget_aheto__form' => 'max-width: {{SIZE}}{{UNIT}};',
 			],
 		],
    ]);
}

function acacio_contact_forms_shortcode_button( $form_button ) {

	$form_button['dependency'][1][] = 'cs_layout1';

	return $form_button;

}

add_filter( 'aheto_button_contact-forms', 'acacio_contact_forms_shortcode_button', 10, 2 );

/**
 * Contacts Shortcode
 */

function acacio_contacts_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/contacts/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Simple', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout3', [
		'title' => esc_html__( 'Acacio Classic', 'acacio' ),
		'image' => $dir . 'cs_layout3.jpg',
	] );

    $shortcode->add_layout( 'cs_layout4', [
        'title' => esc_html__( 'Acacio Classic 2', 'acacio' ),
        'image' => $dir . 'cs_layout4.jpg',
    ] );

    acacio_add_dependency(['use_heading', 't_heading'], ['cs_layout1', 'cs_layout3'], $shortcode);
    acacio_add_dependency(['use_content', 't_content'], ['cs_layout1'], $shortcode);
    acacio_add_dependency(['s_heading', 'address', 'networks', 'email', 'phone'], ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy( 'cs_contacts_group', 'template', ['cs_layout3', 'cs_layout4'] );
    $shortcode->add_dependecy( 'cs_dark_style', 'template', 'cs_layout3' );

    $shortcode->add_dependecy( 'cs_light_version', 'template', ['cs_layout4'] );

    $shortcode->add_dependecy( 'cs_content_typo', 'template',  'cs_layout4');
    $shortcode->add_dependecy( 'cs_use_content_typo', 'template',  'cs_layout4');
    $shortcode->add_dependecy( 'cs_content_typo', 'cs_use_content_typo', 'true' );

	$shortcode->add_params( [
        'cs_dark_style' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Enable dark style for swiper buttons?', 'acacio' ),
            'grid'    => 3,
        ],
        'cs_light_version' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Enable light version?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_contacts_group' => [
            'type'    => 'group',
            'heading' => esc_html__( 'Acacio Contacts', 'acacio' ),
            'params'  => [
                'cs_heading_tag' => [
                    'type'    => 'select',
                    'heading' => esc_html__( 'Element tag for Heading', 'acacio' ),
                    'options' => [
                        'h1'  => 'h1',
                        'h2'  => 'h2',
                        'h3'  => 'h3',
                        'h4'  => 'h4',
                        'h5'  => 'h5',
                        'h6'  => 'h6',
                        'p'   => 'p',
                        'div' => 'div',
                    ],
                    'default' => 'h4',
                    'grid'    => 5,
                ],
                'cs_heading' => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Heading', 'acacio' ),
                ],
                'cs_address' => [
                    'type'    => 'textarea',
                    'heading' => esc_html__( 'Address', 'acacio' ),
                ],
                'cs_phone'   => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Phone', 'acacio' ),
                ],

                'cs_email' => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Email', 'acacio' ),
                ],
            ]
        ],
        'cs_use_content_typo'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Use contacts typography?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_content_typo' => [
            'type'     => 'typography',
            'group'    => 'Contacts Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-contact p,{{WRAPPER}} .aheto-contact__mail,{{WRAPPER}} .aheto-contact__tel,{{WRAPPER}} .aheto-contact__info',
        ],

    ] );

	\Aheto\Params::add_button_params( $shortcode, [
		'prefix' => 'cs_main_',
        'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	]);

    \Aheto\Params::add_carousel_params( $shortcode, [
        'custom_options' => true,
        'prefix'         => 'cs_contacts_',
        'include'        => [ 'arrows', 'pagination', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
        'dependency'     => [ 'template', [ 'cs_layout3' ] ]
    ] );
}


/**
 * Features Single Shortcode
 */

function acacio_features_single_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/features-single/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Modern', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Simple with image', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );

	$shortcode->add_layout( 'cs_layout3', [
		'title' => esc_html__( 'Acacio Simple Scaled Items', 'acacio' ),
		'image' => $dir . 'cs_layout3.jpg',
	] );

	$shortcode->add_layout( 'cs_layout4', [
		'title' => esc_html__( 'Acacio Modern with hover', 'acacio' ),
		'image' => $dir . 'cs_layout4.jpg',
	] );

	$shortcode->add_layout( 'cs_layout5', [
		'title' => esc_html__( 'Acacio Modern with subtitle', 'acacio' ),
		'image' => $dir . 'cs_layout5.jpg',
	] );

	$shortcode->add_layout( 'cs_layout6', [
		'title' => esc_html__( 'Acacio Modern Vertical', 'acacio' ),
		'image' => $dir . 'cs_layout6.jpg',
	] );

	acacio_add_dependency('s_image', ['cs_layout1', 'cs_layout2', 'cs_layout3', 'cs_layout4', 'cs_layout5'], $shortcode);
	acacio_add_dependency('s_heading', ['cs_layout1', 'cs_layout3', 'cs_layout4', 'cs_layout5'], $shortcode);
	acacio_add_dependency(['use_heading', 't_heading'], ['cs_layout1','cs_layout2','cs_layout3', 'cs_layout4', 'cs_layout5'], $shortcode);
	acacio_add_dependency('s_description', ['cs_layout1', 'cs_layout3', 'cs_layout4', 'cs_layout5'], $shortcode);
	acacio_add_dependency(['use_description', 't_description'], ['cs_layout1', 'cs_layout3', 'cs_layout4', 'cs_layout5'], $shortcode);


	// Acacio Simple with image
	$shortcode->add_dependecy( 'acacio_features_modern_vertical', 'template', 'cs_layout6' );
	$shortcode->add_dependecy( 'cs_add_title', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_title', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_description', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_content_orientation', 'template', 'cs_layout2' );

	$shortcode->add_dependecy( 'cs_use_description_typo', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_description_typo', 'cs_use_description_typo', 'true' );

    //	Acacio Simple Scaled Items
    $shortcode->add_dependecy( 'cs_use_img_height', 'template', 'cs_layout3' );
    $shortcode->add_dependecy( 'cs_active', 'template', ['cs_layout3', 'cs_layout5'] );
    $shortcode->add_dependecy( 'cs_img_height', 'cs_use_img_height', 'true' );

	// Acacio Modern with subtitle

	$shortcode->add_dependecy( 'cs_add_subtitle', 'template', 'cs_layout5' );
	$shortcode->add_dependecy( 'cs_subtitle', 'cs_add_subtitle', 'true' );

	$shortcode->add_dependecy( 'cs_use_subtitle_typo', 'template', 'cs_layout5' );
	$shortcode->add_dependecy( 'cs_subtitle_typo', 'cs_use_subtitle_typo', 'true' );

    $shortcode->add_dependecy( 'cs_use_end_symbol', 'template', 'cs_layout5' );
    $shortcode->add_dependecy( 'cs_end_symbol', 'cs_use_end_symbol', 'true' );

    $shortcode->add_dependecy( 'cs_end_symbol_typo', 'cs_use_end_symbol_typo', 'true' );
    $shortcode->add_dependecy( 'cs_use_end_symbol_typo', 'cs_use_end_symbol', 'true' );


	$shortcode->add_params( [
		'cs_add_subtitle' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use subtitle?', 'acacio' ),
		],
		'cs_title' => [
			'type'     => 'text',
			'heading' => esc_html__( 'Add your title', 'acacio' ),
			'grid' =>  1
		],
		'cs_subtitle' => [
			'type'     => 'textarea',
			'heading' => esc_html__( 'Add your subtitle', 'acacio' ),
			'grid' => '3',
		],
		'cs_description' => [
			'type'     => 'textarea',
			'heading' => esc_html__( 'Add your description', 'acacio' ),
			'grid' => 3
		],
//		'cs_use_title_typo' => [
//			'type'    => 'switch',
//			'heading' => esc_html__( 'Use custom font for title?', 'acacio' ),
//			'grid'    => 2,
//		],
//
//		'cs_title_typo' => [
//			'type'     => 'typography',
//			'group'    => 'Title Typography',
//			'settings' => [
//				'tag'        => false,
//				'text_align' => true,
//			],
//			'selector' => '{{WRAPPER}} .aheto-features-block__title',
//		],
		'cs_use_subtitle_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for title?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_subtitle_typo' => [
			'type'     => 'typography',
			'group'    => 'Subtitle Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-features-block__subtitle',
		],
		'cs_use_description_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for description?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_description_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-features-block__info-text, {{WRAPPER}} .aheto-content-block__info-text',
		],
		'cs_content_orientation' => [
			'type'    => 'select',
			'heading' => esc_html__( 'Content orientation', 'acacio' ),
			'options' => [
				''            => esc_html__( 'Line', 'acacio' ),
				'column' => esc_html__( 'Column', 'acacio' ),
			],
		],
        'cs_active'     => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Mark as active?', 'acacio' ),
            'grid'    => 12,
        ],
		'acacio_features_modern_vertical' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Acacio Features Modern (Vertical)', 'acacio' ),
			'params'  => [
				'cs_features_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Image', 'acacio' ),
				],
				'cs_features_counter_bg'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Add your background image for numbers', 'acacio' ),
				],
				'cs_features_title_image' => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Add your title image ', 'acacio' ),
				],
				'cs_features_title'         => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Title', 'acacio' ),
					'admin_label' => true,
					'default'     => esc_html__( 'Title', 'acacio' ),
				],
				'cs_features_desc'          => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Description', 'acacio' ),
				],
			]
		],
        'cs_use_img_height' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Set image height?', 'acacio' ),
            'grid'    => 3,
        ],
        'cs_img_height'    => [
            'type'      => 'slider',
            'heading'   => esc_html__('Image height', 'acacio'),
            'grid'      => 4,
            'size_units' => [ 'px', '%', 'vh' ],
            'range'     => [
                'px' => [
                    'min'  => 200,
                    'max'  => 2000,
                    'step' => 5,
                ],
                '%' => [
                    'min'  => 0,
                    'max'  => 100,
                ],
                'vh' => [
                    'min'  => 0,
                    'max'  => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .aheto-features-block__image ' => 'height: {{SIZE}}{{UNIT}};',
            ],
        ],
        'cs_use_end_symbol' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use end symbol for title?', 'acacio' ),
            'grid'    => 3,
        ],
        'cs_end_symbol' => [
            'type'     => 'text',
            'heading' => esc_html__('End symbol for title', 'acacio')
        ],
        'cs_use_end_symbol_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use end symbol typography?', 'acacio' ),
            'grid'    => 3,
        ],
        'cs_end_symbol_typo' => [
            'type'     => 'typography',
            'group'    => 'End symbol typo Typography',
            'settings' => [
                'tag'        => true,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-content-block__title span',
        ],

	] );
	\Aheto\Params::add_button_params( $shortcode, [
		'prefix' => 'cs_main_',
        'dependency' => ['template', [ 'cs_layout1', 'cs_layout3', 'cs_layout4', 'cs_layout5'] ]
	]);

	\Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for images ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout1', 'cs_layout2', 'cs_layout3', 'cs_layout4', 'cs_layout5', 'cs_layout6'] ]
    ]);

}

function acacio_features_single_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_subtitle_typo'] ) && ! empty( $shortcode->atts['cs_subtitle_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-content-block__subtitle'], $shortcode->parse_typography( $shortcode->atts['cs_subtitle_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_title_typo'] ) && ! empty( $shortcode->atts['cs_title_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-features-block__title'], $shortcode->parse_typography( $shortcode->atts['cs_title_typo'] ) );
	}
	if ( ! empty( $shortcode->atts['cs_use_description_typo'] ) && ! empty( $shortcode->atts['cs_description_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-features-block__info-text'], $shortcode->parse_typography( $shortcode->atts['cs_description_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_dynamic_css_features-single', 'acacio_features_single_shortcode_dynamic_css', 10, 2 );


/**
 * Acacio Banner Slider
 */

function acacio_banner_slider_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/banner-slider/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Modern', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	acacio_add_dependency(['use_heading', 't_heading'], ['cs_layout1'], $shortcode);

    $shortcode->add_dependecy( 'acacio_modern_banners', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_hide_pagination', 'template', 'cs_layout1' );

    $shortcode->add_dependecy( 'cs_use_bullets_color', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_bullet_color', 'cs_use_bullets_color', 'true' );

    $shortcode->add_dependecy( 'cs_use_bullets_color', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_bullet_color_active', 'cs_use_bullets_color', 'true' );

	$shortcode->add_params( [
		'acacio_modern_banners' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Banners', 'acacio' ),
			'params'  => [
				'cs_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Background Image', 'acacio' ),
				],
                'cs_heading_tag'      => [
                    'type'    => 'select',
                    'heading' => esc_html__( 'Element tag for title', 'acacio' ),
                    'options' => [
                        'h1'  => 'h1',
                        'h2'  => 'h2',
                        'h3'  => 'h3',
                        'h4'  => 'h4',
                        'h5'  => 'h5',
                        'h6'  => 'h6',
                        'p'   => 'p',
                        'div' => 'div',
                    ],
                    'default' => 'h2',
                ],
				'cs_title'         => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Title', 'acacio' ),
					'description' => esc_html__( 'To Hightlight text insert text between: [[ Your Text Here ]]', 'acacio' ),
					'admin_label' => true,
					'default'     => esc_html__( 'Heading with [[ hightlight ]] text. For set some words for repeat animation separate them by coma : [[London,New York,Paris]]', 'acacio' ),
				],
				'cs_desc'          => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Description', 'acacio' ),
				],
                'align' => [
                    'type'    => 'select',
                    'heading' => esc_html__('Align', 'acacio'),
                    'options' => \Aheto\Helper::choices_alignment(),
                ],
				'cs_btn_direction' => [
					'type'    => 'select',
					'heading' => esc_html__( 'Buttons Direction', 'acacio' ),
					'options' => [
						''            => esc_html__( 'Horizontal', 'acacio' ),
						'is-vertical' => esc_html__( 'Vertical', 'acacio' ),
					],
				],

			]
		],
        'cs_use_bullets_color'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Add your colors for swiper bullets?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_bullet_color' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Swiper bullet color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .swiper-pagination-bullet' => 'background: {{VALUE}}' ],
        ],
        'cs_bullet_color_active' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Swiper bullet active color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .swiper-pagination-bullet-active' => 'background: {{VALUE}}' ],
        ],

	] );


    \Aheto\Params::add_carousel_params( $shortcode, [
        'custom_options' => true,
        'prefix'         => 'cs_swiper_banner_',
        'include'        => [ 'effect', 'speed', 'loop', 'slides', 'autoplay','lazy', 'arrows', 'pagination', 'simulate_touch' ],
        'dependency'     => [ 'template', [ 'cs_layout1' ] ]
    ] );

	\Aheto\Params::add_button_params( $shortcode, [
		'prefix' => 'cs_main_',
	], 'acacio_modern_banners' );

	\Aheto\Params::add_button_params( $shortcode, [
		'add_label' => esc_html__( 'Add additional button?', 'acacio' ),
		'prefix'    => 'cs_add_',
	], 'acacio_modern_banners' );


}

function acacio_banner_slider_carousel( $carousel_params ) {

	$carousel_params['include'][] = 'pagination';
	$carousel_params['arrows'][] = 'pagination';

	return $carousel_params;

}

add_filter( 'aheto_banner_slider_carousel', 'acacio_banner_slider_carousel', 10, 2 );


/**
 * Header navigation with centered logo
 */
function acacio_navigation_shortcode ($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/navigation/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio navigation with centered logo', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );
	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio navigation with button', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );



	acacio_add_dependency(['transparent', 'type_logo', 'logo', 'add_scroll_logo', 'scroll_logo'], ['cs_layout1'], $shortcode);
	acacio_add_dependency(['type_logo', 'logo', 'mob_logo'], ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy( 'cs_use_links_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_links_typo', 'cs_use_links_typo', 'true' );

	$shortcode->add_dependecy( 'cs_align_right', 'template', 'cs_layout1' );

	$shortcode->add_dependecy( 'cs_use_links_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_links_typo', 'cs_use_links_typo', 'true' );


	$shortcode->add_params([
		'cs_align_right' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Align menu right?', 'acacio' ),
		],
		'cs_use_links_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for features?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_links_typo' => [
			'type'     => 'typography',
			'group'    => 'Navigation Links Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .main-menu li a',
		],

	]);

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'cs_nav_main_',
		'group'   => 'Desktop buttons',
		'icons'      => true,
		'dependency' => ['template', ['cs_layout2']]
	]);

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'cs_nav_main_mob_',
		'group'   => 'Mobile Buttons',
		'icons'      => true,
		'dependency' => ['template', ['cs_layout2']]
	]);

}

function acacio_navigation_shortcode_dynamic_css( $css, $shortcode ) {

    if ( ! empty( $shortcode->atts['cs_use_links_typo'] ) && ! empty( $shortcode->atts['cs_links_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s .main-menu li a'], $shortcode->parse_typography( $shortcode->atts['cs_links_typo'] ) );
    }


    return $css;
}

add_filter( 'aheto_dynamic_css_navigation', 'acacio_navigation_shortcode_dynamic_css', 10, 2 );

/**
 * Acacio Buttons
 */

function acacio_button_all_layouts( $all_layouts ) {

	$dir  = ACACIO_T_URI . '/aheto/button/previews/';
	$all_layouts['cs_layout1'] = array(
		'title' => esc_html__( 'Acacio Simple', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	);
	$all_layouts['cs_layout2'] = array(
		'title' => esc_html__( 'Acacio Simple Inline', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	);



	return $all_layouts;

}

add_filter( 'aheto_button_all_layouts', 'acacio_button_all_layouts', 10, 2 );

/**
 * Simple media
 */

function acacio_media_shortcode ($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/media/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio media', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Media Slider with video', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );

	$shortcode->add_layout( 'cs_layout3', [
		'title' => esc_html__( 'Acacio Media Single', 'acacio' ),
		'image' => $dir . 'cs_layout3.jpg',
	] );

	$shortcode->add_dependecy( 'cs_image', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_max_width_hide', 'template', 'cs_layout1' );

	$shortcode->add_dependecy( 'cs_video_slider', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_swiper_', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_hide_pagination', 'template', 'cs_layout2' );

	$shortcode->add_dependecy( 'cs_use_bullets_color', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_bullet_color', 'cs_use_bullets_color', 'true' );

	$shortcode->add_dependecy( 'cs_use_bullets_color', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_bullet_color_active', 'cs_use_bullets_color', 'true' );


	$shortcode->add_dependecy( 'cs_image', 'template', 'cs_layout3' );

	$shortcode->add_params([
		'cs_image'     => [
			'type'    => 'attach_image',
			'heading' => esc_html__('Add image', 'acacio'),
		],
		'cs_max_width_hide'          => [
			'type'      => 'slider',
			'heading'   => esc_html__('Hide image on width', 'acacio'),
			'grid'      => 12,
			'range'     => [
				'px' => [
					'min'  => 0,
					'max'  => 3000,
					'step' => 1,
				],
			],
		],
        'align' => [
            'type'    => 'select',
            'heading' => esc_html__('Align', 'acacio'),
            'options' => \Aheto\Helper::choices_alignment(),
        ],
		'cs_video_slider' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Acacio Video Slider', 'acacio' ),
			'params'  => [
				'cs_video_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Image', 'acacio' ),
				],
			]
		],
        'cs_hide_pagination'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Hide swiper pagination on desktop?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_use_bullets_color'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Add your colors for swiper bullets?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_bullet_color' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Swiper bullet color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .swiper-pagination-bullet' => 'background: {{VALUE}}' ],
        ],
        'cs_bullet_color_active' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Swiper bullet active color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .swiper-pagination-bullet-active' => 'background: {{VALUE}}' ],
        ],

	]);

     \Aheto\Params::add_video_button_params( $shortcode, [
         'add_label' => esc_html__( 'Add video?', 'acacio' ),
         'prefix'    => 'cs_',
         'group'     => esc_html__( 'Video Content', 'acacio' ),
     ], 'cs_video_slider' );

     \Aheto\Params::add_carousel_params( $shortcode, [
         'custom_options' => true,
         'prefix'         => 'cs_swiper_',
         'include'        => [ 'effect', 'speed', 'loop', 'autoplay','lazy', 'slides', 'pagination', 'simulate_touch' ],
         'dependency'     => [ 'template', [ 'cs_layout2' ] ]
     ] );
    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for images ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout1', 'cs_layout2', 'cs_layout3'] ]
    ]);

 }

/**
 * Testimonials
 */
function acacio_testimonials_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/testimonials/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Modern', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );
	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Classic', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );

    //  Acacio Modern
	$shortcode->add_dependecy( 'cs_bg_text', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_testimonials', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_name_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_name_typo', 'cs_use_name_typo', 'true' );
	$shortcode->add_dependecy( 'cs_use_positon_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_position_typo', 'cs_use_position_typo', 'true' );

	$shortcode->add_dependecy( 'cs_use_descr_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_descr_typo', 'cs_use_descr_typo', 'true' );

	$shortcode->add_dependecy( 'cs_hide_pagination', 'template', 'cs_layout1' );

	$shortcode->add_dependecy( 'cs_use_bullets_color', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_bullet_color', 'cs_use_bullets_color', 'true' );

	$shortcode->add_dependecy( 'cs_use_bullets_color', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_bullet_color_active', 'cs_use_bullets_color', 'true' );

    //  Acacio Classic
    $shortcode->add_dependecy( 'cs_testimonials_image', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_testimonials_name', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_testimonials_text', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_testimonials_company', 'template', 'cs_layout2' );

     $shortcode->add_dependecy( 'cs_use_name_typo', 'template', 'cs_layout2' );
     $shortcode->add_dependecy( 'cs_name_typo', 'cs_use_name_typo', 'true' );

     $shortcode->add_dependecy( 'cs_use_positon_typo', 'template', 'cs_layout2' );
     $shortcode->add_dependecy( 'cs_position_typo', 'cs_use_position_typo', 'true' );

     $shortcode->add_dependecy( 'cs_use_descr_typo', 'template', 'cs_layout2' );
     $shortcode->add_dependecy( 'cs_descr_typo', 'cs_use_descr_typo', 'true' );

	$shortcode->add_params( [
		'cs_bg_text'         => [
			'type'    => 'text',
			'heading' => esc_html__( 'Background text', 'acacio' ),
			'default' => esc_html__( 'THEY SAY', 'acacio' ),
		],
		'cs_testimonials' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Modern Testimonials Items', 'acacio' ),
			'params'  => [
				'g_image'       => [
					'type'    => 'attach_image',
					'heading' => esc_html__( 'Display Image', 'acacio' ),
				],
				'g_name'        => [
					'type'    => 'text',
					'heading' => esc_html__( 'Name', 'acacio' ),
					'default' => esc_html__( 'Author name', 'acacio' ),
				],
				'g_company'     => [
					'type'    => 'text',
					'heading' => esc_html__( 'Position', 'acacio' ),
					'default' => esc_html__( 'Author position', 'acacio' ),
				],
				'g_testimonial' => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Testimonial', 'acacio' ),
					'default' => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 'acacio' ),
				],

			],
		],
        'cs_hide_pagination'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Hide swiper pagination on desktop?', 'acacio'),
            'grid'      => 4,
        ],
		'cs_use_name_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for name?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_name_typo' => [
			'type'     => 'typography',
			'group'    => 'Name Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__name',
		],
		'cs_use_position_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for position?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_position_typo' => [
			'type'     => 'typography',
			'group'    => 'Position Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__position',
		],
		'cs_use_descr_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for description?', 'acacio' ),
			'grid'    => 3,
		],

		'cs_descr_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__text',
		],
        'cs_use_bullets_color'    => [
            'type'      => 'switch',
            'heading'   => esc_html__('Add your colors for swiper bullets?', 'acacio'),
            'grid'      => 4,
        ],
        'cs_bullet_color' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Swiper bullet color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .swiper-pagination-bullet' => 'background: {{VALUE}}' ],
        ],
        'cs_bullet_color_active' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Swiper bullet active color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .swiper-pagination-bullet-active' => 'background: {{VALUE}}' ],
        ],
        'cs_testimonials_image'       => [
            'type'    => 'attach_image',
            'heading' => esc_html__( 'Display Image', 'acacio' ),
        ],
        'cs_testimonials_name'        => [
            'type'    => 'text',
            'heading' => esc_html__( 'Name', 'acacio' ),
            'default' => esc_html__( 'Author name', 'acacio' ),
        ],
        'cs_testimonials_company'     => [
            'type'    => 'text',
            'heading' => esc_html__( 'Position', 'acacio' ),
            'default' => esc_html__( 'Author position', 'acacio' ),
        ],
        'cs_testimonials_text' => [
            'type'    => 'textarea',
            'heading' => esc_html__( 'Testimonial', 'acacio' ),
            'default' => esc_html__( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 'acacio' ),
        ],
	] );

	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => [ 'pagination', 'loop', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );

    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for testimonial author ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout1'] ]
    ]);

}


function acacio_testimonials_carousel( $carousel_params ) {

	$carousel_params['include'] = array_merge( array_diff( $carousel_params['include'], array( 'arrows' ) ) );

	return $carousel_params;

}

add_filter( 'aheto_testimonials_carousel', 'acacio_testimonials_carousel', 10, 2 );

function acacio_testimonials_shortcode_dynamic_css( $css, $shortcode ) {

    if ( ! empty( $shortcode->atts['cs_use_name_typo'] ) && ! empty( $shortcode->atts['cs_name_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s .aheto-tm__name'], $shortcode->parse_typography( $shortcode->atts['cs_name_typo'] ) );
    }
    if ( ! empty( $shortcode->atts['cs_use_position_typo'] ) && ! empty( $shortcode->atts['cs_position_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s .aheto-tm__position'], $shortcode->parse_typography( $shortcode->atts['cs_position_typo'] ) );
    }
    if ( ! empty( $shortcode->atts['cs_use_descr_typo'] ) && ! empty( $shortcode->atts['cs_descr_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s .aheto-tm__text'], $shortcode->parse_typography( $shortcode->atts['cs_descr_typo'] ) );
    }

    return $css;
}

add_filter( 'aheto_dynamic_css_navigation', 'acacio_testimonials_shortcode_dynamic_css', 10, 2 );

/*
 * Navbar Shortcode
 */
function acacio_navbar_shortcode( $shortcode ) {
	$dir = ACACIO_T_URI . '/aheto/navbar/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Simple', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Additional (fixed on scroll)', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );

    // Acacio Simple
    $shortcode->add_dependecy( 'cs_center_links', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_label', 'cs_type_link', ['cs_custom', 'cs_phone', 'cs_email', 'cs_text'] );
    $shortcode->add_dependecy( 'cs_phone', 'cs_type_link', 'cs_phone' );
    $shortcode->add_dependecy( 'cs_email', 'cs_type_link', 'cs_email' );
    $shortcode->add_dependecy( 'cs_add_icon', 'cs_type_link', ['cs_phone','cs_email'] );
    $shortcode->add_dependecy( 'cs_type_icon', 'cs_add_icon', 'true' );
    $shortcode->add_dependecy( 'cs_custom_link', 'cs_type_link', 'cs_custom' );

    // Acacio Additional (fixed on scroll)
	$shortcode->add_dependecy( 'cs_menus', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_transparent', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_fixed_menu', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_use_menu_typo', 'template', 'cs_layout2' );


	$shortcode->add_dependecy( 'cs_menu_typo', 'cs_use_menu_typo', 'true' );
	$shortcode->add_dependecy( 'cs_transparent', 'cs_menu_typo', 'false' );

	$shortcode->add_params( [
		'cs_center_links' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Center column links', 'acacio' ),
			'params'  => [
				'cs_type_link'      => [
					'type'    => 'select',
					'heading' => esc_html__('Type of link', 'acacio'),
					'options' => [
						'cs_phone' => esc_html__('Phone', 'acacio'),
						'cs_email'   => esc_html__('Email', 'acacio'),
						'cs_custom_link'   => esc_html__('Custom link', 'acacio'),
						'cs_text'   => esc_html__('Just text', 'acacio'),
						'cs_socials'   => esc_html__('Social links', 'acacio'),
						'cs_searchbox'   => esc_html__('Searchbox', 'acacio'),
						'cs_languague'   => esc_html__('Languague picker', 'acacio'),
					],
				],
				'cs_add_icon'        => [
					'type'    => 'switch',
					'heading' => esc_html__( 'Add icon before label?', 'acacio' ),
					'grid'    => 6,
					'default' => '',
				],
				'cs_type_icon'      => [
					'type'    => 'select',
					'heading' => esc_html__('Type of icon', 'acacio'),
					'options' => [
						'' => esc_html__('Solid', 'acacio'),
						'-outline'   => esc_html__('Outline', 'acacio'),
					],
				],
				'cs_label'         => [
					'type'    => 'text',
					'heading' => esc_html__( 'Label', 'acacio' ),
				],
				'cs_phone'         => [
					'type'    => 'text',
					'heading' => esc_html__( 'Phone', 'acacio' ),
				],
				'cs_email'         => [
					'type'    => 'text',
					'heading' => esc_html__( 'Email', 'acacio' ),
				],
				'cs_custom_link'         => [
					'type'    => 'text',
					'heading' => esc_html__( 'Link', 'acacio' ),
				],
			],
		],
		'cs_menus'         => [
			'type'    => 'select',
			'heading' => esc_html__( 'Additional Menu', 'acacio' ),
			'options' => \Aheto\Helper::choices_nav_menu(),
			'description' => esc_html__( 'Use menu with one level items', 'acacio' ),
		],

		'cs_transparent'     => [
			'type'    => 'select',
			'heading' => esc_html__('Type of menu', 'acacio'),
			'options' => [
				'transparent_dark' => esc_html__('Dark', 'acacio'),
				'transparent_white' => esc_html__('White', 'acacio'),
			],
		],
		'cs_fixed_menu' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Enable fixed additional menu on scroll?', 'acacio' ),
			'grid'    => 6,
		],


		'cs_use_menu_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for Menu?', 'acacio' ),
			'grid'    => 6,
		],

		'cs_menu_typo' => [
			'type'     => 'typography',
			'group'    => 'Menu Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-navbar--inner ul li a',
		],


	] );
}

function acacio_navbar_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_menu_typo'] ) && ! empty( $shortcode->atts['cs_menu_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-navbar--inner ul li a'], $shortcode->parse_typography( $shortcode->atts['cs_menu_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_navbar_dynamic_css', 'acacio_navbar_shortcode_dynamic_css', 10, 2 );


/**
 * Progress bar shortcode
 */

function acacio_progress_bar_shortcode($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/progress-bar/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Inline Progress Bar', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Acacio Counter', 'acacio' ),
		'image' => $dir . 'cs_layout2.jpg',
	] );

	acacio_add_dependency('percentage', ['cs_layout1'], $shortcode);
	acacio_add_dependency('heading', ['cs_layout1', 'cs_layout2'], $shortcode);

    //	Acacio Inline Progress Bar
    $shortcode->add_dependecy( 'cs_text_color', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_line_color', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_active_color', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_use_text_typo', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_text_typo', 'cs_use_text_typo', 'true' );

    //  Acacio Counter
	$shortcode->add_dependecy( 'cs_heading_tag', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_use_heading_typo', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_heading_typo', 'cs_use_heading_typo', 'true' );
    $shortcode->add_dependecy( 'cs_numbers', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_use_numbers_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_numbers_typo', 'cs_use_numbers_typo', 'true' );

	$shortcode->add_params([
		'cs_heading_tag'      => [
			'type'    => 'select',
			'heading' => esc_html__( 'Element tag for heading', 'acacio' ),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h5',
			'grid'    => 5,
		],
        'cs_numbers'         => [
            'type'    => 'text',
            'heading' => esc_html__( 'Numbers', 'acacio' ),
        ],
		'cs_use_heading_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for heading?', 'acacio' ),
			'grid'    => 4,
		],

		'cs_heading_typo' => [
			'type'     => 'typography',
			'group'    => 'Heading Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-counter__heading',
		],
        'cs_use_text_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for text?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_text_typo' => [
            'type'     => 'typography',
            'group'    => 'Text Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-progress__title, {{WRAPPER}} .aheto-progress__bar-perc',
        ],
        'cs_use_numbers_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for numbers?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_numbers_typo' => [
            'type'     => 'typography',
            'group'    => 'Number Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-counter__number',
        ],
        'cs_line_color'   => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Line color', 'acacio' ),
            'grid'      => 6,
            'default'   => '#fff',
            'selectors' => [
                '{{WRAPPER}} .aheto-progress__bar' => 'background: {{VALUE}}',
            ],
        ],
        'cs_active_color' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Active line color', 'acacio' ),
            'grid'      => 6,
            'default'   => '#fff',
            'selectors' => [
                '{{WRAPPER}} .aheto-progress__bar-val'         => 'background: {{VALUE}}',
                '{{WRAPPER}} .aheto-progress__bar-val::before' => 'background: {{VALUE}}',
            ],
        ],
	]);

}

function acacio_progress_bar_shortcode_dynamic_css( $css, $shortcode ) {

    if ( ! empty( $shortcode->atts['cs_use_text_typo'] ) && ! empty( $shortcode->atts['cs_text_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s .aheto-progress__title'], $shortcode->parse_typography( $shortcode->atts['cs_text_typo'] ) );
        \aheto_add_props( $css['global']['%1$s .aheto-progress__bar-perc'], $shortcode->parse_typography( $shortcode->atts['cs_text_typo'] ) );
    }

    if ( ! empty( $shortcode->atts['cs_line_color'] ) ) {
        $color                                                    = Sanitize::color( $shortcode->atts['cs_line_color'] );
        $css['global']['%1$s .aheto-progress__bar']['background'] = $color;
    }

    if ( ! empty( $shortcode->atts['cs_active_color'] ) ) {
        $color                                                                = Sanitize::color( $shortcode->atts['cs_active_color'] );
        $css['global']['%1$s .aheto-progress__bar-val']['background']         = $color;
        $css['global']['%1$s .aheto-progress__bar-val::before']['background'] = $color;
    }

    return $css;
}

add_filter( 'aheto_progress_bar_dynamic_css', 'acacio_progress_bar_shortcode_dynamic_css', 10, 2 );

/**
 * Tabs shortcode
 */
function acacio_features_tabs_shortcode($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/features-tabs/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Tabs', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'cs_tabs', 'template', 'cs_layout1' );


	acacio_add_dependency(['use_description', 't_description'], ['cs_layout1'], $shortcode);

	$shortcode->add_params( [
		'cs_tabs' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Acacio Tabs Items', 'acacio' ),
			'params'  => [
				'cs_tabs_title'       => [
					'type'    => 'text',
					'heading' => esc_html__( 'Tab title', 'acacio' ),
				],
				'cs_tabs_content'        => [
					'type'    => 'editor',
					'heading' => esc_html__( 'Tab content', 'acacio' ),
					'default' => esc_html__( 'Put your text...', 'acacio' ),
				],


			],
		],
	] );

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'cs_main_',
	], 'cs_tabs');

	\Aheto\Params::add_button_params($shortcode, [
		'add_label' => esc_html__('Add additional button?', 'acacio'),
		'prefix'    => 'cs_add_',
	], 'cs_tabs');
}

/**
 * Features Timeline Shortcode
 */
function acacio_features_timeline_shortcode($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/features-timeline/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Modern', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'cs_timeline', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_dark_version', 'template', 'cs_layout1' );

    $shortcode->add_dependecy( 'cs_use_title_typo', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_title_typo', 'cs_use_title_typo', 'true' );

    $shortcode->add_dependecy( 'cs_use_descr_typo', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_descr_typo', 'cs_use_descr_typo', 'true' );

	$shortcode->add_params( [
		'cs_timeline' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Items', 'acacio' ),
			'params'  => [
				'cs_timeline_date'       => [
					'type'    => 'text',
					'heading' => esc_html__( 'Date', 'acacio' ),
				],
				'cs_timeline_title'        => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Title', 'acacio' ),
					'description' => esc_html__( 'To Hightlight text insert text between: [[ Your Text Here ]]', 'acacio' ),
					'default'     => esc_html__( 'Title with [[ hightlight ]] text.', 'acacio' ),
				],
				'cs_timeline_content'        => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Content', 'acacio' ),
					'default' => esc_html__( 'Add some text for content', 'acacio' ),
				],
				'cs_timeline_image'     => [
					'type'    => 'attach_image',
					'heading' => esc_html__('Add image', 'acacio'),
				],
			],
		],

		'cs_dark_version'    => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Enable dark version?', 'acacio' ),
			'grid'    => 3,
		],

        'cs_use_title_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for timeline content title?', 'acacio' ),
            'grid'    => 3,
        ],


        'cs_title_typo' => [
            'type'     => 'typography',
            'group'    => 'Timeline Title Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-timeline__title',
        ],
        'cs_use_descr_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for timeline content description?', 'acacio' ),
            'grid'    => 3,
        ],


        'cs_descr_typo' => [
            'type'     => 'typography',
            'group'    => 'Timeline Description Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-timeline__desc',
        ],


	] );

	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'cs_',
		'icons'      => true,
	], 'cs_timeline');

    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for timeline image ', 'acacio' ),
        'prefix'     => 'cs_time_',
        'dependency' => ['template', [ 'cs_layout1'] ]
    ]);
}

add_filter( 'aheto_dynamic_css_features-timeline', 'acacio_features_timeline_shortcode_dynamic_css', 10, 2 );

function acacio_contents_shortcode($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/contents/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio FAQ`s', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

    $shortcode->add_layout( 'cs_layout2', [
        'title' => esc_html__( 'Acacio Creative slider', 'acacio' ),
        'image' => $dir . 'cs_layout2.jpg',
    ] );


	acacio_add_dependency(['faqs', 'first_is_opened', 'multi_active', 'title_typo', 'text_typo'], ['cs_layout1'], $shortcode);

    $shortcode->add_dependecy( 'cs_creative_items', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_creative_version', 'template', 'cs_layout2' );

    $shortcode->add_dependecy( 'cs_use_descr_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_descr_typo', 'cs_use_descr_typo', 'true' );


    $shortcode->add_params( [
        'cs_creative_items'   => [
            'type'    => 'group',
            'heading' => esc_html__( 'Slides', 'acacio' ),
            'params'  => [
                'cs_item_image'         => [
                    'type'    => 'attach_image',
                    'heading' => esc_html__( 'Image', 'acacio' ),
                ],
                'cs_item_title'         => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Title', 'acacio' ),
                ],
                'cs_item_use_dot'       => [
                    'type'    => 'switch',
                    'heading' => esc_html__( 'Use dot in the end title?', 'acacio' ),
                    'grid'    => 12,
                ],
                'cs_item_dot_color'     => [
                    'type'    => 'select',
                    'heading' => esc_html__( 'Color for dot', 'acacio' ),
                    'options' => [
                        'primary' => esc_html__( 'Primary', 'acacio' ),
                        'dark'    => esc_html__( 'Dark', 'acacio' ),
                        'white'   => esc_html__( 'White', 'acacio' ),
                    ],
                    'default' => 'primary',
                ],
                'cs_item_desc'          => [
                    'type'    => 'textarea',
                    'heading' => esc_html__( 'Description', 'acacio' ),
                ],
                'cs_item_btn_direction' => [
                    'type'    => 'select',
                    'heading' => esc_html__( 'Buttons Direction', 'acacio' ),
                    'options' => [
                        ''            => esc_html__( 'Horizontal', 'acacio' ),
                        'is-vertical' => esc_html__( 'Vertical', 'acacio' ),
                    ],
                ],
            ]
        ],
        'cs_creative_version' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Enable creative version?', 'acacio' ),
            'grid'    => 3,
        ],
        'cs_use_descr_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for testimonials content description?', 'acacio' ),
            'grid'    => 3,
        ],


        'cs_descr_typo' => [
            'type'     => 'typography',
            'group'    => 'Testimonials Creative Description Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-contents__desc',
        ],

    ] );

    \Aheto\Params::add_icon_params($shortcode, [
		'add_icon' => true,
		'exclude'  => ['align'],
		'dependency' => ['template', ['cs_layout1']]
	]);

    \Aheto\Params::add_button_params( $shortcode, [
        'prefix' => 'cs_main_',
        'icons'  => true,
    ], 'cs_creative_items' );

    \Aheto\Params::add_button_params( $shortcode, [
        'add_label' => esc_html__( 'Add additional button?', 'acacio' ),
        'prefix'    => 'cs_add_',
        'icons'     => true,
    ], 'cs_creative_items' );

    \Aheto\Params::add_carousel_params( $shortcode, [
        'custom_options' => true,
        'prefix'         => 'cs_swiper_',
        'include'        => [ 'effect', 'speed', 'loop', 'autoplay', 'arrows', 'lazy', 'simulate_touch' ],
        'dependency'     => [ 'template', [ 'cs_layout2' ] ]
    ] );
    \Aheto\Params::add_image_sizer_params($shortcode, [
        'group'      => esc_html__( 'Images size for contents ', 'acacio' ),
        'prefix'     => 'cs_',
        'dependency' => ['template', [ 'cs_layout2'] ]
    ]);

}

function acacio_contents_shortcode_dynamic_css( $css, $shortcode ) {

    if ( ! empty( $shortcode->atts['cs_background'] ) ) {
        $color                                                              = Sanitize::color( $shortcode->atts['cs_background'] );
        $css['global']['%1$s .aheto-contents__wrapper']['background-color'] = $color;
    }

    if ( ! empty( $shortcode->atts['cs_text_color'] ) ) {
        $color                                                             = Sanitize::color( $shortcode->atts['cs_text_color'] );
        $css['global']['%1$s .aheto-contents__inner_wrapper > *']['color'] = $color;
    }

    return $css;
}

add_filter( 'aheto_contents_dynamic_css', 'acacio_contents_shortcode_dynamic_css', 10, 2 );

/**
 * Title Bar Shortcode
 */

function acacio_title_bar_shortcode( $shortcode ) {

	$dir = ACACIO_T_URI . '/aheto/title-bar/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Seacrh Bar', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );


	acacio_add_dependency(['source', 'title_tag', 'title', 'use_title_typo', 'title_typo', 'searchform', 'sf_button'], ['cs_layout1'], $shortcode);

}

/**
 * Acacio Instagram
 */

function acacio_instagram_shortcode($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/instagram/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Instagram', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );

	acacio_add_dependency(['limit', 'size'], ['cs_layout1'], $shortcode);
}


/**
 * Acacio Socials
 */

function acacio_social_networks_shortcode($shortcode) {
	$dir = ACACIO_T_URI . '/aheto/social-networks/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Acacio Socials', 'acacio' ),
		'image' => $dir . 'cs_layout1.jpg',
	] );


	acacio_add_dependency(['networks', 'size', 'style', 'color', 'socials_align', 'socials_align_mob', 'hovercolor_circle', 'hovercolor_default'], ['cs_layout1'], $shortcode);


	$shortcode->add_dependecy( 'cs_dark_style', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_use_socials_typo', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_socials_typo', 'cs_use_socials_typo', 'true' );
	$shortcode->add_params( [

        'cs_dark_style' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Enable dark style for socials?', 'acacio' ),
            'grid'    => 3,
        ],
		'cs_use_socials_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for socials?', 'acacio' ),
			'grid'    => 3,
		],


		'cs_socials_typo' => [
			'type'     => 'typography',
			'group'    => 'Socials Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-socials__link',
		],
	] );
}

function acacio_social_networks_shortcode_dynamic_css( $css, $shortcode ) {

	if ( ! empty( $shortcode->atts['cs_use_socials_typo'] ) && ! empty( $shortcode->atts['cs_socials_typo'] ) ) {
		\aheto_add_props( $css['global']['%1$s .aheto-socials__link'], $shortcode->parse_typography( $shortcode->atts['cs_socials_typo'] ) );
	}

	return $css;
}

add_filter( 'aheto_dynamic_css_heading', 'acacio_social_networks_shortcode_dynamic_css', 10, 2 );

/**
 * Acacio List
 */

function acacio_list_shortcode ($shortcode) {
    $dir = ACACIO_T_URI . '/aheto/list/previews/';

    $shortcode->add_layout( 'cs_layout1', [
        'title' => esc_html__( 'Acacio List', 'acacio' ),
        'image' => $dir . 'cs_layout1.jpg',
    ] );

    $shortcode->add_layout( 'cs_layout2', [
        'title' => esc_html__( 'Acacio Table List', 'acacio' ),
        'image' => $dir . 'cs_layout2.jpg',
    ] );

    $shortcode->add_layout( 'cs_layout3', [
        'title' => esc_html__( 'Acacio Ordered List', 'acacio' ),
        'image' => $dir . 'cs_layout3.jpg',
    ] );

    $shortcode->add_layout( 'cs_layout4', [
        'title' => esc_html__( 'Acacio Unordered List', 'acacio' ),
        'image' => $dir . 'cs_layout4.jpg',
    ] );

    acacio_add_dependency('lists', ['cs_layout3', 'cs_layout4'], $shortcode);
    //  Acacio List
    $shortcode->add_dependecy( 'cs_lists', 'template', 'cs_layout1' );

    $shortcode->add_dependecy( 'cs_use_list_typo', 'template', 'cs_layout1' );
    $shortcode->add_dependecy( 'cs_list_typo', 'cs_use_list_typo', 'true' );
    $shortcode->add_dependecy( 'cs_links_color', 'template', 'cs_layout1' );

    $shortcode->add_dependecy( 'cs_use_list_typo', 'template', 'cs_layout4' );
    $shortcode->add_dependecy( 'cs_list_typo', 'cs_use_list_typo', 'true' );

    // Acacio Table List
    $shortcode->add_dependecy( 'cs_first_column', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_second_column', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_third_column', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_table_lists', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_background', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_use_position_typo', 'template', 'cs_layout2' );
    $shortcode->add_dependecy( 'cs_position_typo', 'cs_use_position_typo', 'true' );

    //  Acacio Ordered List
    $shortcode->add_dependecy( 'cs_number_background', 'template', 'cs_layout3' );
    $shortcode->add_dependecy( 'cs_number_color', 'template', 'cs_layout3' );
    $shortcode->add_dependecy( 'cs_use_list_typo', 'template', 'cs_layout3' );
    $shortcode->add_dependecy( 'cs_list_typo', 'cs_use_list_typo', 'true' );

    $shortcode->depedency['color']['template'][] = 'cs_layout4';

    $shortcode->add_params( [
        'cs_lists' => [
            'type'    => 'group',
            'heading' => esc_html__( 'Link Lists', 'acacio' ),
            'params'  => [
                'cs_link_text' => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Text', 'acacio' ),
                ],
                'cs_link_url'  => [
                    'type'        => 'link',
                    'heading'     => esc_html__( 'Link', 'acacio' ),
                    'description' => esc_html__( 'Add url to list.', 'acacio' ),
                    'default'     => [
                        'url' => '#',
                    ],
                ]
            ],
        ],

        'cs_first_column'  => [
            'type'    => 'text',
            'heading' => esc_html__( 'First Column Title', 'acacio' ),
        ],
        'cs_second_column' => [
            'type'    => 'text',
            'heading' => esc_html__( 'Second Column Title', 'acacio' ),
        ],
        'cs_third_column'  => [
            'type'    => 'text',
            'heading' => esc_html__( 'Third Column Title', 'acacio' ),
        ],
        'cs_table_lists'   => [
            'type'    => 'group',
            'heading' => esc_html__( 'Table Lists', 'acacio' ),
            'params'  => [
                'cs_first_item'  => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'First Item Text', 'acacio' ),
                ],
                'cs_second_item' => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Second Item Text', 'acacio' ),
                ],
                'cs_third_item'  => [
                    'type'    => 'text',
                    'heading' => esc_html__( 'Third Item Text', 'acacio' ),
                ],
            ],
        ],
        'cs_links_color' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Links color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .aheto-list--acacio-links li a' => 'color: {{VALUE}}' ],
        ],
        'cs_background' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Background color', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} .aheto-list--row .aheto-list--column' => 'background: {{VALUE}}' ],
        ],
        'cs_use_position_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for position?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_position_typo' => [
            'type'     => 'typography',
            'group'    => 'Position Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-list--column h5',
        ],
        'cs_number_background' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Background color for numbers', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} li b' => 'background-color: {{VALUE}}' ],
        ],
        'cs_number_color' => [
            'type'      => 'colorpicker',
            'heading'   => esc_html__( 'Color for numbers', 'acacio' ),
            'grid'      => 6,
            'selectors' => [ '{{WRAPPER}} li b' => 'color: {{VALUE}}' ],
        ],

        'cs_use_list_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font for list?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_list_typo' => [
            'type'     => 'typography',
            'group'    => 'List Typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} li, {{WRAPPER}} p',
        ],
    ] );

    \Aheto\Params::add_button_params( $shortcode, [
        'prefix' => 'cs_main_',
    ], 'cs_table_lists' );
}

function acacio_list_shortcode_dynamic_css( $css, $shortcode ) {

    if ( ! empty( $shortcode->atts['cs_links_color'] ) ) {
        $color = Sanitize::color( $shortcode->atts['color'] );
        $css['global']['%1$s li a']['color'] = $color;
    }

    if ( ! empty( $shortcode->atts['cs_background'] ) ) {
        $color = Sanitize::color( $shortcode->atts['cs_background'] );
        $css['global']['%1$s .aheto-list--row .aheto-list--column']['background'] = $color;
    }

    if ( ! empty( $shortcode->atts['cs_use_position_typo'] ) && ! empty( $shortcode->atts['cs_position_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s .aheto-list--column h5'], $shortcode->parse_typography( $shortcode->atts['cs_position_typo'] ) );
    }
    if ( ! empty( $shortcode->atts['cs_use_list_typo'] ) && ! empty( $shortcode->atts['cs_list_typo'] ) ) {
        \aheto_add_props( $css['global']['%1$s li'], $shortcode->parse_typography( $shortcode->atts['cs_list_typo'] ) );
    }

    return $css;
}

add_filter( 'aheto_list_dynamic_css', 'acacio_list_shortcode_dynamic_css', 10, 2 );
/*
 * Acacio Coming Soon
 */
function acacio_coming_soon_shortcode ($shortcode) {
    $dir = ACACIO_T_URI . '/aheto/coming-soon/previews/';

    $shortcode->add_layout( 'cs_layout1', [
        'title' => esc_html__( 'Acacio Coming Soon', 'acacio' ),
        'image' => $dir . 'cs_layout1.jpg',
    ] );

    $shortcode->depedency['light']['template'][] = 'cs_layout1';
    $shortcode->depedency['time_out']['template'][] = 'cs_layout1';
    $shortcode->depedency['days_desktop']['template'][] = 'cs_layout1';
    $shortcode->depedency['days_mobile']['template'][] = 'cs_layout1';
    $shortcode->depedency['hours_desktop']['template'][] = 'cs_layout1';
    $shortcode->depedency['hours_mobile']['template'][] = 'cs_layout1';
    $shortcode->depedency['mins_desktop']['template'][] = 'cs_layout1';
    $shortcode->depedency['mins_mobile']['template'][] = 'cs_layout1';
    $shortcode->depedency['secs_desktop']['template'][] = 'cs_layout1';
    $shortcode->depedency['secs_mobile']['template'][] = 'cs_layout1';

    $shortcode->add_dependecy('cs_use_units_text_typo', 'template', 'cs_layout1');
    $shortcode->add_dependecy('cs_units_text_typo', 'cs_use_units_text_typo', 'true');

    $shortcode->add_dependecy('cs_use_units_number_typo', 'template', 'cs_layout1');
    $shortcode->add_dependecy('cs_units_number_typo', 'cs_use_units_number_typo', 'true');

    $shortcode->add_dependecy('cs_use_units_dots_typo', 'template', 'cs_layout1');
    $shortcode->add_dependecy('cs_units_dots_typo', 'cs_use_units_dots_typo', 'true');

    $shortcode->add_params([
        'cs_use_units_text_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font units text?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_units_text_typo' => [
            'type'     => 'typography',
            'group'    => 'Units text typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-coming-soon__caption',
        ],
        'cs_use_units_number_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font units numbers?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_units_number_typo' => [
            'type'     => 'typography',
            'group'    => 'Units numbers typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-coming-soon__number',
        ],
        'cs_use_units_dots_typo' => [
            'type'    => 'switch',
            'heading' => esc_html__( 'Use custom font units dots?', 'acacio' ),
            'grid'    => 3,
        ],

        'cs_units_dots_typo' => [
            'type'     => 'typography',
            'group'    => 'Units dots typography',
            'settings' => [
                'tag'        => false,
                'text_align' => true,
            ],
            'selector' => '{{WRAPPER}} .aheto-coming-soon__dots',
        ],
    ]);
}

/*
 * Portfolio Navigation
 */

function acacio_portfolio_nav_shortcode ($shortcode) {
    $dir = ACACIO_T_URI . '/aheto/portfolio-nav/previews/';

    $shortcode->add_layout( 'cs_layout1', [
        'title' => esc_html__( 'Acacio Portfolio Nav', 'acacio' ),
        'image' => $dir . 'cs_layout1.jpg',
    ] );
}
