<?php
/**
 * Custom Page Template
 */

get_header();

$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

while ( have_posts() ) : the_post();

	wp_enqueue_style( 'acacio-blog-single', ACACIO_T_URI . '/assets/css/blog/blog-single.css' ); ?>

    <div class="acacio-blog--single-wrapper <?php echo esc_attr( $protected ); ?>">
	<?php if (function_exists('is_woocommerce') && (is_cart() || is_checkout() || is_account_page())) {

		$acacio_img = '';
		$acacio_background_image = '';

		if (function_exists('aheto')) {
			$acacio_shop_image = Aheto\Helper::get_settings('theme-options.acacio_shop_image');
			$acacio_background_image = isset($acacio_shop_image) && !empty($acacio_shop_image) ? "style=background-image:url(" . $acacio_shop_image . ")" : '';
			$acacio_img = isset($acacio_shop_image) && !empty($acacio_shop_image) ? 'with-image' : '';
		} ?>

        <div class="acacio-shop-banner <?php echo esc_attr($acacio_img); ?> " <?php echo esc_attr($acacio_background_image); ?>>
            <h1 class="title"><?php the_title(); ?></h1>
        </div>

	<?php } else { ?>
        <div class="acacio-blog--single__top-content">

            <div class="container">
                <div class="row">
                    <div class="col-12">

						<?php the_title( '<h1 class="acacio-blog--single__title text-center">', '</h1>' ); ?>

                    </div>
                </div>
            </div>

        </div>
<?php } ?>
        <div class="container acacio-blog--single__post-content">
            <div class="row">
                <div class="col-12">

                    <div class="acacio-blog--single__content-wrapper page">

						<?php the_content();
						wp_link_pages( 'link_before=<span class="acacio-blog--single__pages">&link_after=</span>&before=<div class="acacio-blog--single__post-nav"> <span>' . esc_html__( "Page:", 'acacio' ) . ' </span> &after=</div>' ); ?>

                    </div>

					<?php if ( comments_open() || '0' != get_comments_number() && wp_count_comments( $get_id ) ) { ?>
                        <div class="acacio-blog--single__comments page">
							<?php comments_template( '', true ); ?>
                        </div>
					<?php } ?>

                </div>
            </div>
        </div>
    </div>


<?php
endwhile;

get_footer();
