<?php
//BLOG LIST CATEGORY

global $wp_query;

$active_plugin = function_exists( 'aheto' ) ? true : false;
$content_size_class =  is_active_sidebar( 'acacio-sidebar' ) && !$active_plugin ? 'col-12 col-lg-8' : 'col-12';
$post_size_class    = is_active_sidebar( 'acacio-sidebar' ) && !$active_plugin ? 6 : 4; ?>

<div class="acacio-blog--wrapper">
    <div class="container">
        <div class="row">
            <div class="acacio-blog--posts order-lg-1 <?php echo esc_attr( $content_size_class ); ?>">
                <div class="acacio-blog--isotope row">
	                <?php while ( have_posts() ) :
		                the_post();

						$post_id = get_the_ID();
						$no_image     = !has_post_thumbnail() ? ' no-image' : '';
						$image_id = get_post_thumbnail_id($post_id);
		                $author_id =  get_the_author_meta('ID');
                        $format = get_post_format( $post_id ) ? get_post_format( $post_id ) : 'image';
		                ?>

                        <div <?php post_class( 'acacio-blog--post col-xs-12 col-sm-6 col-lg-' . esc_attr( $post_size_class . ' acacio--post-format-' . $format) ); ?>>
                            <div class="acacio-blog--post__item">
		                        <?php if ( !empty($image_id) ) {
			                        $image = wp_get_attachment_image_url($image_id, 'large');
			                        $image_alt = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>
                                    <div class="acacio-blog--post__media">
                                        <img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr($image_alt); ?>" class="s-img-switch">
                                    </div>
		                        <?php } ?>

                                <div class="acacio-blog--post__info-wrap">
                                    <div class="acacio-blog--post__info-wrap-date">
                                        <a href="<?php the_permalink(); ?>">
                                            <i class="ion-clock"></i>
					                        <?php the_time( get_option( 'date_format' ) ); ?>
                                        </a>
                                    </div>
                                    <a href="<?php the_permalink(); ?>"
                                       class="acacio-blog--post__title"><?php the_title(); ?></a>
                                    <div class="acacio-blog--post__text"><?php the_excerpt(); ?></div>
                                    <div class="acacio-blog--post__author">

				                        <?php echo get_avatar($author_id, 30);
				                        esc_html_e('by ', 'acacio');
				                        echo esc_html(get_the_author()); ?>
                                    </div>


                                </div>
                            </div>
                        </div>

					<?php endwhile; ?>

                </div>
				<?php if( $wp_query->max_num_pages > 1 ){ ?>
                    <div class="acacio-blog--pagination">
	                    <?php echo paginate_links(
		                    array(
			                    'prev_text'    => esc_html__('Previous', 'acacio'),
			                    'next_text'    => esc_html__('Next', 'acacio'),
                                'total'        => $wp_query->max_num_pages,
		                    )
	                    ); ?>
                    </div>
				<?php } ?>
            </div>
			<?php if ( is_active_sidebar( 'acacio-sidebar' ) && !$active_plugin  ) {

				wp_enqueue_style( 'acacio-sidebar', ACACIO_T_URI . '/assets/css/blog/sidebar.css' );


				get_sidebar( 'acacio-sidebar' );


			} ?>
        </div>
    </div>
</div>
