<?php
/*
 * Single post
 */


$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

$get_id    = get_the_ID();
$author_id = get_the_author_meta( 'ID' );

$content_size_class = is_active_sidebar( 'acacio-sidebar' ) ? 'col-12 col-lg-8' : 'col-12'; ?>

<div class="acacio-blog--single-wrapper <?php echo esc_attr( $protected ); ?>">
    <div class="acacio-blog--single__breadcrumbs">
        <div class="container ">
            <ul class="acacio-blog--single__breadcrumbs-list">
                <li class="acacio-blog--single__breadcrumbs-item"><a href="<?php echo esc_url(home_url());?>"><?php esc_html_e('Home', 'acacio'); ?></a></li>
                <li class="acacio-blog--single__breadcrumbs-item"><?php the_title(); ?></li>
            </ul>
        </div>
    </div>

    <div class="container acacio-blog--single__post-content">
        <div class="row">
            <div class="col-12 order-lg-1 <?php echo esc_attr( $content_size_class ); ?>">
                <div class="acacio-blog--single__post-header">

                    <div class="acacio-blog--single__categories">
                        <?php the_category( ' ' ); ?>
                    </div>

                    <?php the_title( '<h1 class="acacio-blog--single__title">', '</h1>' ); ?>

                    <div class="acacio-blog--single__date"><?php the_time( get_option( 'date_format' ) ); ?></div>

                </div>
				<?php if ( has_post_thumbnail() ) { ?>
                    <div class="acacio-blog--single__banner">
						<?php $image_url = get_the_post_thumbnail_url( $get_id, 'full' );
						$image_id        = get_post_thumbnail_id( $get_id );
						$image_alt       = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>

                        <img src="<?php echo esc_url( $image_url ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>">

                    </div>
				<?php } ?>

                <div class="acacio-blog--single__content-wrapper">

					<?php the_content();
					wp_link_pages( 'link_before=<span class="acacio-blog--single__pages">&link_after=</span>&before=<div class="acacio-blog--single__post-nav"> <span>' . esc_html__( "Page:", 'acacio' ) . ' </span> &after=</div>' ); ?>

					<?php the_tags(
						'<div class="acacio-blog--single__tags">
                        Tags: ',
						', ',
						'</div>' ); ?>

                </div>

				<?php if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) { ?>
                    <div class="acacio-blog--single__comments">
						<?php comments_template( '', true ); ?>
                    </div>
				<?php } ?>

                <div class="acacio-blog--single__pagination">
                    <div class="acacio-blog--single__pagination-prev">
						<?php $prev_post     = get_previous_post();
                            if ( ! empty( $prev_post ) ) :
                                $prev_post_title = ! empty( get_the_title( $prev_post ) ) ? get_the_title( $prev_post ) : esc_html__( 'No title', 'acacio' );
                                $prev_link       = get_permalink( $prev_post ); ?>

                            <span>
                                <a href="<?php echo esc_url( $prev_link ); ?>" class="content">
                                        <?php echo wp_kses_post( $prev_post_title ); ?>
                                </a>
								<?php esc_html_e( '&larr; Prev post', 'acacio' ); ?>
                            </span>

						<?php endif; ?>
                    </div>

					<?php $next_post = get_next_post(); ?>
                    <div class="acacio-blog--single__pagination-next">
						<?php if ( ! empty( $next_post ) ) :
							$next_post_title = ! empty( get_the_title( $next_post ) ) ? get_the_title( $next_post ) : esc_html__( 'No title', 'acacio' );
							$next_link = get_permalink( $next_post ); ?>


                            <span>
                                <a href="<?php echo esc_url( $next_link ); ?>" class="content">
                                    <?php echo wp_kses_post( $next_post_title ); ?>
                                </a>
								<?php esc_html_e( 'Next post &rarr;', 'acacio' ); ?>

                            </span>

						<?php endif; ?>
                    </div>
                </div>

            </div>
			<?php if ( is_active_sidebar( 'acacio-sidebar' ) ) {

				wp_enqueue_style( 'acacio-sidebar', ACACIO_T_URI . '/assets/css/blog/sidebar.css' );

				get_sidebar( 'acacio-sidebar' );

			} ?>
        </div>
    </div>
</div>
